/*
 * Copyright 2017-2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/* Define the PIO[ANAMODE] bit macro (SDK 2.6.x and older miss this bit macro definition) */
#ifndef IOCON_PIO_ANAMODE_MASK
#define IOCON_PIO_ANAMODE_MASK  (0x40U)
#define IOCON_PIO_ANAMODE_SHIFT (6U)
#define IOCON_PIO_ANAMODE(x)    (((uint32_t)(((uint32_t)(x)) << IOCON_PIO_ANAMODE_SHIFT)) & IOCON_PIO_ANAMODE_MASK)
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void); /* Function assigned for the Cortex-M4F */

#define PIO04_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO04_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO05_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO05_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO06_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO06_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO11_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO11_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO0_6 (coord A5), U28[C8]/RP5[4]/SW2/P0_6-ISP2/P0_6-EMC_D4
  @{ */
/* Routed pin properties */
#define BOARD_SW2_PERIPHERAL GPIO                                  /*!<@brief Peripheral name */
#define BOARD_SW2_SIGNAL PIO0                                      /*!<@brief Signal name */
#define BOARD_SW2_CHANNEL 6                                        /*!<@brief Signal channel */
#define BOARD_SW2_PIN_NAME PIO0_6                                  /*!<@brief Routed pin name */
#define BOARD_SW2_LABEL "U28[C8]/RP5[4]/SW2/P0_6-ISP2/P0_6-EMC_D4" /*!<@brief Label */
#define BOARD_SW2_NAME "SW2"                                       /*!<@brief Identifier */
#define BOARD_SW2_DIRECTION kPIN_MUX_DirectionInput                /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_SW2_GPIO GPIO                                        /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW2_GPIO_PIN 6U                                      /*!<@brief GPIO pin number */
#define BOARD_SW2_GPIO_PIN_MASK (1U << 6U)                         /*!<@brief GPIO pin mask */
#define BOARD_SW2_PORT 0U                                          /*!<@brief PORT peripheral base pointer */
#define BOARD_SW2_PIN 6U                                           /*!<@brief PORT pin number */
#define BOARD_SW2_PIN_MASK (1U << 6U)                              /*!<@brief PORT pin mask */
                                                                   /* @} */

/*! @name PIO0_5 (coord E7), U28[C9]/RP3[1]/JS32[1]/SW3/P0_5-ISP1/P0_5-EMC_D3
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_SW3_PERIPHERAL GPIO
/*!
 * @brief Signal name */
#define BOARD_SW3_SIGNAL PIO0
/*!
 * @brief Signal channel */
#define BOARD_SW3_CHANNEL 5
/*!
 * @brief Routed pin name */
#define BOARD_SW3_PIN_NAME PIO0_5
/*!
 * @brief Label */
#define BOARD_SW3_LABEL "U28[C9]/RP3[1]/JS32[1]/SW3/P0_5-ISP1/P0_5-EMC_D3"
/*!
 * @brief Identifier */
#define BOARD_SW3_NAME "SW3"
/*!
 * @brief Direction */
#define BOARD_SW3_DIRECTION kPIN_MUX_DirectionInput

/* Symbols to be used with GPIO driver */
/*!
 * @brief GPIO peripheral base pointer */
#define BOARD_SW3_GPIO GPIO
/*!
 * @brief GPIO pin number */
#define BOARD_SW3_GPIO_PIN 5U
/*!
 * @brief GPIO pin mask */
#define BOARD_SW3_GPIO_PIN_MASK (1U << 5U)
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_SW3_PORT 0U
/*!
 * @brief PORT pin number */
#define BOARD_SW3_PIN 5U
/*!
 * @brief PORT pin mask */
#define BOARD_SW3_PIN_MASK (1U << 5U)
/* @} */

/*! @name PIO0_4 (coord C8), U28[B8]/RP3[2]/JS32[3]/SW4/P0_4-ISP0/P0_4-EMC_D2
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_SW4_PERIPHERAL GPIO
/*!
 * @brief Signal name */
#define BOARD_SW4_SIGNAL PIO0
/*!
 * @brief Signal channel */
#define BOARD_SW4_CHANNEL 4
/*!
 * @brief Routed pin name */
#define BOARD_SW4_PIN_NAME PIO0_4
/*!
 * @brief Label */
#define BOARD_SW4_LABEL "U28[B8]/RP3[2]/JS32[3]/SW4/P0_4-ISP0/P0_4-EMC_D2"
/*!
 * @brief Identifier */
#define BOARD_SW4_NAME "SW4"
/*!
 * @brief Direction */
#define BOARD_SW4_DIRECTION kPIN_MUX_DirectionInput

/* Symbols to be used with GPIO driver */
/*!
 * @brief GPIO peripheral base pointer */
#define BOARD_SW4_GPIO GPIO
/*!
 * @brief GPIO pin number */
#define BOARD_SW4_GPIO_PIN 4U
/*!
 * @brief GPIO pin mask */
#define BOARD_SW4_GPIO_PIN_MASK (1U << 4U)
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_SW4_PORT 0U
/*!
 * @brief PORT pin number */
#define BOARD_SW4_PIN 4U
/*!
 * @brief PORT pin mask */
#define BOARD_SW4_PIN_MASK (1U << 4U)
/* @} */

/*! @name PIO1_1 (coord K12), J12[12]/U29[4]/SW5/P1_1-USER_PB-USB1_OVRCURn
  @{ */
/* Routed pin properties */
#define BOARD_SW5_PERIPHERAL GPIO                                      /*!<@brief Peripheral name */
#define BOARD_SW5_SIGNAL PIO1                                          /*!<@brief Signal name */
#define BOARD_SW5_CHANNEL 1                                            /*!<@brief Signal channel */
#define BOARD_SW5_PIN_NAME PIO1_1                                      /*!<@brief Routed pin name */
#define BOARD_SW5_LABEL "J12[12]/U29[4]/SW5/P1_1-USER_PB-USB1_OVRCURn" /*!<@brief Label */
#define BOARD_SW5_NAME "SW5"                                           /*!<@brief Identifier */
#define BOARD_SW5_DIRECTION kPIN_MUX_DirectionInput                    /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_SW5_GPIO GPIO                                            /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW5_GPIO_PIN 1U                                          /*!<@brief GPIO pin number */
#define BOARD_SW5_GPIO_PIN_MASK (1U << 1U)                             /*!<@brief GPIO pin mask */
#define BOARD_SW5_PORT 1U                                              /*!<@brief PORT peripheral base pointer */
#define BOARD_SW5_PIN 1U                                               /*!<@brief PORT pin number */
#define BOARD_SW5_PIN_MASK (1U << 1U)                                  /*!<@brief PORT pin mask */
                                                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBUTTONsPins(void); /* Function assigned for the Cortex-M4F */

#define PIO22_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO22_FUNC_ALT0 0x00u         /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO314_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO314_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO33_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO33_FUNC_ALT0 0x00u         /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO3_3 (coord A13), J9[8]/LED2/P3_3-USR_LED2
  @{ */
/* Routed pin properties */
#define BOARD_LED2_PERIPHERAL GPIO                    /*!<@brief Peripheral name */
#define BOARD_LED2_SIGNAL PIO3                        /*!<@brief Signal name */
#define BOARD_LED2_CHANNEL 3                          /*!<@brief Signal channel */
#define BOARD_LED2_PIN_NAME PIO3_3                    /*!<@brief Routed pin name */
#define BOARD_LED2_LABEL "J9[8]/LED2/P3_3-USR_LED2"   /*!<@brief Label */
#define BOARD_LED2_NAME "LED2"                        /*!<@brief Identifier */
#define BOARD_LED2_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_LED2_GPIO GPIO                          /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED2_GPIO_PIN 3U                        /*!<@brief GPIO pin number */
#define BOARD_LED2_GPIO_PIN_MASK (1U << 3U)           /*!<@brief GPIO pin mask */
#define BOARD_LED2_PORT 3U                            /*!<@brief PORT peripheral base pointer */
#define BOARD_LED2_PIN 3U                             /*!<@brief PORT pin number */
#define BOARD_LED2_PIN_MASK (1U << 3U)                /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO2_2 (coord C3), J9[6]/LED3/P2_2-CT1MAT1-USR_LED3
  @{ */
/* Routed pin properties */
#define BOARD_LED3_PERIPHERAL GPIO                          /*!<@brief Peripheral name */
#define BOARD_LED3_SIGNAL PIO2                              /*!<@brief Signal name */
#define BOARD_LED3_CHANNEL 2                                /*!<@brief Signal channel */
#define BOARD_LED3_PIN_NAME PIO2_2                          /*!<@brief Routed pin name */
#define BOARD_LED3_LABEL "J9[6]/LED3/P2_2-CT1MAT1-USR_LED3" /*!<@brief Label */
#define BOARD_LED3_NAME "LED3"                              /*!<@brief Identifier */
#define BOARD_LED3_DIRECTION kPIN_MUX_DirectionOutput       /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_LED3_GPIO GPIO                                /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED3_GPIO_PIN 2U                              /*!<@brief GPIO pin number */
#define BOARD_LED3_GPIO_PIN_MASK (1U << 2U)                 /*!<@brief GPIO pin mask */
#define BOARD_LED3_PORT 2U                                  /*!<@brief PORT peripheral base pointer */
#define BOARD_LED3_PIN 2U                                   /*!<@brief PORT pin number */
#define BOARD_LED3_PIN_MASK (1U << 2U)                      /*!<@brief PORT pin mask */
                                                            /* @} */

/*! @name PIO3_14 (coord E3), J13[5]/LED1/P3_14-CT3MAT1-USR_LED1
  @{ */
/* Routed pin properties */
#define BOARD_LED1_PERIPHERAL GPIO                            /*!<@brief Peripheral name */
#define BOARD_LED1_SIGNAL PIO3                                /*!<@brief Signal name */
#define BOARD_LED1_CHANNEL 14                                 /*!<@brief Signal channel */
#define BOARD_LED1_PIN_NAME PIO3_14                           /*!<@brief Routed pin name */
#define BOARD_LED1_LABEL "J13[5]/LED1/P3_14-CT3MAT1-USR_LED1" /*!<@brief Label */
#define BOARD_LED1_NAME "LED1"                                /*!<@brief Identifier */
#define BOARD_LED1_DIRECTION kPIN_MUX_DirectionOutput         /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_LED1_GPIO GPIO                                  /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED1_GPIO_PIN 14U                               /*!<@brief GPIO pin number */
#define BOARD_LED1_GPIO_PIN_MASK (1U << 14U)                  /*!<@brief GPIO pin mask */
#define BOARD_LED1_PORT 3U                                    /*!<@brief PORT peripheral base pointer */
#define BOARD_LED1_PIN 14U                                    /*!<@brief PORT pin number */
#define BOARD_LED1_PIN_MASK (1U << 14U)                       /*!<@brief PORT pin mask */
                                                              /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void); /* Function assigned for the Cortex-M4F */

#define PIO00_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO00_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO013_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO013_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO014_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO014_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO01_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO01_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO02_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO02_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO03_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO03_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO313_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO313_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO0_1 (coord A1), U26[14]/J14[1]/P0_1-ISP_FC3_SSEL0
  @{ */
/* Routed pin properties */
#define BOARD_ISP_FC3_SSEL0_PERIPHERAL FLEXCOMM3                      /*!<@brief Peripheral name */
#define BOARD_ISP_FC3_SSEL0_SIGNAL CTS_SDA_SSEL0                      /*!<@brief Signal name */
#define BOARD_ISP_FC3_SSEL0_PIN_NAME FC3_CTS_SDA_SSEL0                /*!<@brief Routed pin name */
#define BOARD_ISP_FC3_SSEL0_LABEL "U26[14]/J14[1]/P0_1-ISP_FC3_SSEL0" /*!<@brief Label */
#define BOARD_ISP_FC3_SSEL0_NAME "ISP_FC3_SSEL0"                      /*!<@brief Identifier */
#define BOARD_ISP_FC3_SSEL0_DIRECTION kPIN_MUX_DirectionOutput        /*!<@brief Direction */
#define BOARD_ISP_FC3_SSEL0_PORT 0U                                   /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC3_SSEL0_PIN 1U                                    /*!<@brief PORT pin number */
#define BOARD_ISP_FC3_SSEL0_PIN_MASK (1U << 1U)                       /*!<@brief PORT pin mask */
                                                                      /* @} */

/*! @name PIO0_3 (coord A10), U28[B9]/RP3[3]/JS34[1]/U26[11]/J14[2]/P0_3-ISP_FC3_MOSI/P0_3-EMC_D1
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_ISP_FC3_MOSI_PERIPHERAL FLEXCOMM3
/*!
 * @brief Signal name */
#define BOARD_ISP_FC3_MOSI_SIGNAL RXD_SDA_MOSI
/*!
 * @brief Routed pin name */
#define BOARD_ISP_FC3_MOSI_PIN_NAME FC3_RXD_SDA_MOSI
/*!
 * @brief Label */
#define BOARD_ISP_FC3_MOSI_LABEL "U28[B9]/RP3[3]/JS34[1]/U26[11]/J14[2]/P0_3-ISP_FC3_MOSI/P0_3-EMC_D1"
/*!
 * @brief Identifier */
#define BOARD_ISP_FC3_MOSI_NAME "ISP_FC3_MOSI"
/*!
 * @brief Direction */
#define BOARD_ISP_FC3_MOSI_DIRECTION kPIN_MUX_DirectionOutput
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_ISP_FC3_MOSI_PORT 0U
/*!
 * @brief PORT pin number */
#define BOARD_ISP_FC3_MOSI_PIN 3U
/*!
 * @brief PORT pin mask */
#define BOARD_ISP_FC3_MOSI_PIN_MASK (1U << 3U)
/* @} */

/*! @name PIO0_2 (coord E9), U28[A8]/RP3[4]/JS35[1]/U24[11]/J14[3]/P0_2-ISP_FC3_MISO/P0_2-EMC_D0
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_ISP_FC3_MISO_PERIPHERAL FLEXCOMM3
/*!
 * @brief Signal name */
#define BOARD_ISP_FC3_MISO_SIGNAL TXD_SCL_MISO
/*!
 * @brief Routed pin name */
#define BOARD_ISP_FC3_MISO_PIN_NAME FC3_TXD_SCL_MISO
/*!
 * @brief Label */
#define BOARD_ISP_FC3_MISO_LABEL "U28[A8]/RP3[4]/JS35[1]/U24[11]/J14[3]/P0_2-ISP_FC3_MISO/P0_2-EMC_D0"
/*!
 * @brief Identifier */
#define BOARD_ISP_FC3_MISO_NAME "ISP_FC3_MISO"
/*!
 * @brief Direction */
#define BOARD_ISP_FC3_MISO_DIRECTION kPIN_MUX_DirectionInput
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_ISP_FC3_MISO_PORT 0U
/*!
 * @brief PORT pin number */
#define BOARD_ISP_FC3_MISO_PIN 2U
/*!
 * @brief PORT pin mask */
#define BOARD_ISP_FC3_MISO_PIN_MASK (1U << 2U)
/* @} */

/*! @name PIO0_0 (coord D6), U26[13]/J14[4]/P0_0-ISP_FC3_SCK
  @{ */
/* Routed pin properties */
#define BOARD_ISP_FC3_SCK_PERIPHERAL FLEXCOMM3                    /*!<@brief Peripheral name */
#define BOARD_ISP_FC3_SCK_SIGNAL SCK                              /*!<@brief Signal name */
#define BOARD_ISP_FC3_SCK_PIN_NAME FC3_SCK                        /*!<@brief Routed pin name */
#define BOARD_ISP_FC3_SCK_LABEL "U26[13]/J14[4]/P0_0-ISP_FC3_SCK" /*!<@brief Label */
#define BOARD_ISP_FC3_SCK_NAME "ISP_FC3_SCK"                      /*!<@brief Identifier */
#define BOARD_ISP_FC3_SCK_DIRECTION kPIN_MUX_DirectionOutput      /*!<@brief Direction */
#define BOARD_ISP_FC3_SCK_PORT 0U                                 /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC3_SCK_PIN 0U                                  /*!<@brief PORT pin number */
#define BOARD_ISP_FC3_SCK_PIN_MASK (1U << 0U)                     /*!<@brief PORT pin mask */
                                                                  /* @} */

/*! @name PIO3_13 (coord H4), J14[8]/P3_13-BRIDGE_GPIO
  @{ */
/* Routed pin properties */
#define BOARD_BRIDGE_GPIO_PERIPHERAL GPIO                  /*!<@brief Peripheral name */
#define BOARD_BRIDGE_GPIO_SIGNAL PIO3                      /*!<@brief Signal name */
#define BOARD_BRIDGE_GPIO_CHANNEL 13                       /*!<@brief Signal channel */
#define BOARD_BRIDGE_GPIO_PIN_NAME PIO3_13                 /*!<@brief Routed pin name */
#define BOARD_BRIDGE_GPIO_LABEL "J14[8]/P3_13-BRIDGE_GPIO" /*!<@brief Label */
#define BOARD_BRIDGE_GPIO_NAME "BRIDGE_GPIO"               /*!<@brief Identifier */

/* Symbols to be used with GPIO driver */
#define BOARD_BRIDGE_GPIO_GPIO GPIO                        /*!<@brief GPIO peripheral base pointer */
#define BOARD_BRIDGE_GPIO_GPIO_PIN 13U                     /*!<@brief GPIO pin number */
#define BOARD_BRIDGE_GPIO_GPIO_PIN_MASK (1U << 13U)        /*!<@brief GPIO pin mask */
#define BOARD_BRIDGE_GPIO_PORT 3U                          /*!<@brief PORT peripheral base pointer */
#define BOARD_BRIDGE_GPIO_PIN 13U                          /*!<@brief PORT pin number */
#define BOARD_BRIDGE_GPIO_PIN_MASK (1U << 13U)             /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO0_13 (coord F11), JS16[2]/J14[9]/P0_13-ISP_FC1_SDAX
  @{ */
/* Routed pin properties */
#define BOARD_ISP_FC1_SDAX_PERIPHERAL FLEXCOMM1                      /*!<@brief Peripheral name */
#define BOARD_ISP_FC1_SDAX_SIGNAL CTS_SDA_SSEL0                      /*!<@brief Signal name */
#define BOARD_ISP_FC1_SDAX_PIN_NAME FC1_CTS_SDA_SSEL0                /*!<@brief Routed pin name */
#define BOARD_ISP_FC1_SDAX_LABEL "JS16[2]/J14[9]/P0_13-ISP_FC1_SDAX" /*!<@brief Label */
#define BOARD_ISP_FC1_SDAX_NAME "ISP_FC1_SDAX"                       /*!<@brief Identifier */
#define BOARD_ISP_FC1_SDAX_PORT 0U                                   /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC1_SDAX_PIN 13U                                   /*!<@brief PORT pin number */
#define BOARD_ISP_FC1_SDAX_PIN_MASK (1U << 13U)                      /*!<@brief PORT pin mask */
                                                                     /* @} */

/*! @name PIO0_14 (coord E13), JS15[2]/J14[10]/P0_14-ISP_FC1_SCLX
  @{ */
/* Routed pin properties */
#define BOARD_ISP_FC1_SCLX_PERIPHERAL FLEXCOMM1                       /*!<@brief Peripheral name */
#define BOARD_ISP_FC1_SCLX_SIGNAL RTS_SCL_SSEL1                       /*!<@brief Signal name */
#define BOARD_ISP_FC1_SCLX_PIN_NAME FC1_RTS_SCL_SSEL1                 /*!<@brief Routed pin name */
#define BOARD_ISP_FC1_SCLX_LABEL "JS15[2]/J14[10]/P0_14-ISP_FC1_SCLX" /*!<@brief Label */
#define BOARD_ISP_FC1_SCLX_NAME "ISP_FC1_SCLX"                        /*!<@brief Identifier */
#define BOARD_ISP_FC1_SCLX_PORT 0U                                    /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC1_SCLX_PIN 14U                                    /*!<@brief PORT pin number */
#define BOARD_ISP_FC1_SCLX_PIN_MASK (1U << 14U)                       /*!<@brief PORT pin mask */
                                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPMod_SPI_I2C_BRIDGEPins(void); /* Function assigned for the Cortex-M4F */

#define PIO323_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO323_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO324_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO324_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO34_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO34_FUNC_ALT0 0x00u         /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO3_23 (coord C2), J11[10]/J9[3]/U10[3]/J17[5]/U19[10]/P3_23-FC2_SDAX
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_FC2_SDAX_PERIPHERAL FLEXCOMM2
/*!
 * @brief Signal name */
#define BOARD_FC2_SDAX_SIGNAL CTS_SDA_SSEL0
/*!
 * @brief Routed pin name */
#define BOARD_FC2_SDAX_PIN_NAME FC2_CTS_SDA_SSEL0
/*!
 * @brief Label */
#define BOARD_FC2_SDAX_LABEL "J11[10]/J9[3]/U10[3]/J17[5]/U19[10]/P3_23-FC2_SDAX"
/*!
 * @brief Identifier */
#define BOARD_FC2_SDAX_NAME "FC2_SDAX"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_FC2_SDAX_PORT 3U
/*!
 * @brief PORT pin number */
#define BOARD_FC2_SDAX_PIN 23U
/*!
 * @brief PORT pin mask */
#define BOARD_FC2_SDAX_PIN_MASK (1U << 23U)
/* @} */

/*! @name PIO3_24 (coord E2), J11[9]/J9[1]/U10[2]/J17[4]/U19[2]/P3_24-FC2_SCLX
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_FC2_SCLX_PERIPHERAL FLEXCOMM2
/*!
 * @brief Signal name */
#define BOARD_FC2_SCLX_SIGNAL RTS_SCL_SSEL1
/*!
 * @brief Routed pin name */
#define BOARD_FC2_SCLX_PIN_NAME FC2_RTS_SCL_SSEL1
/*!
 * @brief Label */
#define BOARD_FC2_SCLX_LABEL "J11[9]/J9[1]/U10[2]/J17[4]/U19[2]/P3_24-FC2_SCLX"
/*!
 * @brief Identifier */
#define BOARD_FC2_SCLX_NAME "FC2_SCLX"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_FC2_SCLX_PORT 3U
/*!
 * @brief PORT pin number */
#define BOARD_FC2_SCLX_PIN 24U
/*!
 * @brief PORT pin mask */
#define BOARD_FC2_SCLX_PIN_MASK (1U << 24U)
/* @} */

/*! @name PIO3_4 (coord B11), J12[10]/U19[3]/P3_4-ACCL_INTR
  @{ */
/* Routed pin properties */
#define BOARD_ACCL_INTR_PERIPHERAL GPIO                       /*!<@brief Peripheral name */
#define BOARD_ACCL_INTR_SIGNAL PIO3                           /*!<@brief Signal name */
#define BOARD_ACCL_INTR_CHANNEL 4                             /*!<@brief Signal channel */
#define BOARD_ACCL_INTR_PIN_NAME PIO3_4                       /*!<@brief Routed pin name */
#define BOARD_ACCL_INTR_LABEL "J12[10]/U19[3]/P3_4-ACCL_INTR" /*!<@brief Label */
#define BOARD_ACCL_INTR_NAME "ACCL_INTR"                      /*!<@brief Identifier */
#define BOARD_ACCL_INTR_DIRECTION kPIN_MUX_DirectionInput     /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_ACCL_INTR_GPIO GPIO                             /*!<@brief GPIO peripheral base pointer */
#define BOARD_ACCL_INTR_GPIO_PIN 4U                           /*!<@brief GPIO pin number */
#define BOARD_ACCL_INTR_GPIO_PIN_MASK (1U << 4U)              /*!<@brief GPIO pin mask */
#define BOARD_ACCL_INTR_PORT 3U                               /*!<@brief PORT peripheral base pointer */
#define BOARD_ACCL_INTR_PIN 4U                                /*!<@brief PORT pin number */
#define BOARD_ACCL_INTR_PIN_MASK (1U << 4U)                   /*!<@brief PORT pin mask */
                                                              /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCELPins(void); /* Function assigned for the Cortex-M4F */

#define PIO023_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO023_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO023_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO024_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO024_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO025_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO025_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO026_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO026_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO027_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO027_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO028_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO028_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO212_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO212_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO0_26 (coord M13), J13[2]/U27[6]/P0_26-SPIFI_CLK
  @{ */
/* Routed pin properties */
#define BOARD_SPIFI_CLK_PERIPHERAL SPIFI0                     /*!<@brief Peripheral name */
#define BOARD_SPIFI_CLK_SIGNAL SPIFI_SCK                      /*!<@brief Signal name */
#define BOARD_SPIFI_CLK_PIN_NAME SPIFI_CLK                    /*!<@brief Routed pin name */
#define BOARD_SPIFI_CLK_LABEL "J13[2]/U27[6]/P0_26-SPIFI_CLK" /*!<@brief Label */
#define BOARD_SPIFI_CLK_NAME "SPIFI_CLK"                      /*!<@brief Identifier */
#define BOARD_SPIFI_CLK_PORT 0U                               /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_CLK_PIN 26U                               /*!<@brief PORT pin number */
#define BOARD_SPIFI_CLK_PIN_MASK (1U << 26U)                  /*!<@brief PORT pin mask */
                                                              /* @} */

/*! @name PIO0_24 (coord M7), J13[6]/U27[5]/P0_24-SPIFI_IO0
  @{ */
/* Routed pin properties */
#define BOARD_SPIFI_IO0_PERIPHERAL SPIFI0                     /*!<@brief Peripheral name */
#define BOARD_SPIFI_IO0_SIGNAL SPIFI_IO0/SPIFI_MOSI           /*!<@brief Signal name */
#define BOARD_SPIFI_IO0_PIN_NAME SPIFI_IO(0)                  /*!<@brief Routed pin name */
#define BOARD_SPIFI_IO0_LABEL "J13[6]/U27[5]/P0_24-SPIFI_IO0" /*!<@brief Label */
#define BOARD_SPIFI_IO0_NAME "SPIFI_IO0"                      /*!<@brief Identifier */
#define BOARD_SPIFI_IO0_PORT 0U                               /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_IO0_PIN 24U                               /*!<@brief PORT pin number */
#define BOARD_SPIFI_IO0_PIN_MASK (1U << 24U)                  /*!<@brief PORT pin mask */
                                                              /* @} */

/*! @name PIO0_25 (coord K8), J13[4]/U27[2]/P0_25-SPIFI_IO1
  @{ */
/* Routed pin properties */
#define BOARD_SPIFI_IO1_PERIPHERAL SPIFI0                     /*!<@brief Peripheral name */
#define BOARD_SPIFI_IO1_SIGNAL SPIFI_IO1/SPIFI_MISO           /*!<@brief Signal name */
#define BOARD_SPIFI_IO1_PIN_NAME SPIFI_IO(1)                  /*!<@brief Routed pin name */
#define BOARD_SPIFI_IO1_LABEL "J13[4]/U27[2]/P0_25-SPIFI_IO1" /*!<@brief Label */
#define BOARD_SPIFI_IO1_NAME "SPIFI_IO1"                      /*!<@brief Identifier */
#define BOARD_SPIFI_IO1_PORT 0U                               /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_IO1_PIN 25U                               /*!<@brief PORT pin number */
#define BOARD_SPIFI_IO1_PIN_MASK (1U << 25U)                  /*!<@brief PORT pin mask */
                                                              /* @} */

/*! @name PIO0_27 (coord L9), J13[12]/U27[7]/P0_27-SPIFI_IO3
  @{ */
/* Routed pin properties */
#define BOARD_SPIFI_IO3_PERIPHERAL SPIFI0                      /*!<@brief Peripheral name */
#define BOARD_SPIFI_IO3_SIGNAL SPIFI_IO                        /*!<@brief Signal name */
#define BOARD_SPIFI_IO3_CHANNEL 3                              /*!<@brief Signal channel */
#define BOARD_SPIFI_IO3_PIN_NAME SPIFI_IO(3)                   /*!<@brief Routed pin name */
#define BOARD_SPIFI_IO3_LABEL "J13[12]/U27[7]/P0_27-SPIFI_IO3" /*!<@brief Label */
#define BOARD_SPIFI_IO3_NAME "SPIFI_IO3"                       /*!<@brief Identifier */
#define BOARD_SPIFI_IO3_PORT 0U                                /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_IO3_PIN 27U                                /*!<@brief PORT pin number */
#define BOARD_SPIFI_IO3_PIN_MASK (1U << 27U)                   /*!<@brief PORT pin mask */
                                                               /* @} */

/*! @name PIO0_28 (coord M9), J13[10]/U27[3]/P0_28-SPIFI_IO2-USB0_OCURRn
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_SPIFI_IO2_PERIPHERAL SPIFI0
/*!
 * @brief Signal name */
#define BOARD_SPIFI_IO2_SIGNAL SPIFI_IO
/*!
 * @brief Signal channel */
#define BOARD_SPIFI_IO2_CHANNEL 2
/*!
 * @brief Routed pin name */
#define BOARD_SPIFI_IO2_PIN_NAME SPIFI_IO(2)
/*!
 * @brief Label */
#define BOARD_SPIFI_IO2_LABEL "J13[10]/U27[3]/P0_28-SPIFI_IO2-USB0_OCURRn"
/*!
 * @brief Identifier */
#define BOARD_SPIFI_IO2_NAME "SPIFI_IO2"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_SPIFI_IO2_PORT 0U
/*!
 * @brief PORT pin number */
#define BOARD_SPIFI_IO2_PIN 28U
/*!
 * @brief PORT pin mask */
#define BOARD_SPIFI_IO2_PIN_MASK (1U << 28U)
/* @} */

/*! @name PIO0_23 (coord N7), J13[8]/U27[1]/P0_23-SPIFI_CSn-MCLK
  @{ */
/* Routed pin properties */
#define BOARD_SPIFI_CSn_PERIPHERAL SPIFI0                          /*!<@brief Peripheral name */
#define BOARD_SPIFI_CSn_SIGNAL SPIFI_CSN                           /*!<@brief Signal name */
#define BOARD_SPIFI_CSn_PIN_NAME SPIFI_CSN                         /*!<@brief Routed pin name */
#define BOARD_SPIFI_CSn_LABEL "J13[8]/U27[1]/P0_23-SPIFI_CSn-MCLK" /*!<@brief Label */
#define BOARD_SPIFI_CSn_NAME "SPIFI_CSn"                           /*!<@brief Identifier */
#define BOARD_SPIFI_CSn_PORT 0U                                    /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_CSn_PIN 23U                                    /*!<@brief PORT pin number */
#define BOARD_SPIFI_CSn_PIN_MASK (1U << 23U)                       /*!<@brief PORT pin mask */
                                                                   /* @} */

/*! @name PIO2_12 (coord M2), U26A1[3]/P2_12-SPIFI_RSTn
  @{ */
/* Routed pin properties */
#define BOARD_SPIFI_RSTn_PERIPHERAL GPIO                   /*!<@brief Peripheral name */
#define BOARD_SPIFI_RSTn_SIGNAL PIO2                       /*!<@brief Signal name */
#define BOARD_SPIFI_RSTn_CHANNEL 12                        /*!<@brief Signal channel */
#define BOARD_SPIFI_RSTn_PIN_NAME PIO2_12                  /*!<@brief Routed pin name */
#define BOARD_SPIFI_RSTn_LABEL "U26A1[3]/P2_12-SPIFI_RSTn" /*!<@brief Label */
#define BOARD_SPIFI_RSTn_NAME "SPIFI_RSTn"                 /*!<@brief Identifier */

/* Symbols to be used with GPIO driver */
#define BOARD_SPIFI_RSTn_GPIO GPIO                         /*!<@brief GPIO peripheral base pointer */
#define BOARD_SPIFI_RSTn_GPIO_PIN 12U                      /*!<@brief GPIO pin number */
#define BOARD_SPIFI_RSTn_GPIO_PIN_MASK (1U << 12U)         /*!<@brief GPIO pin mask */
#define BOARD_SPIFI_RSTn_PORT 2U                           /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_RSTn_PIN 12U                           /*!<@brief PORT pin number */
#define BOARD_SPIFI_RSTn_PIN_MASK (1U << 12U)              /*!<@brief PORT pin mask */
                                                           /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitQSPI_FLASHPins(void); /* Function assigned for the Cortex-M4F */

#define PIO210_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO210_FUNC_ALT2 0x02u        /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO23_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO23_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO24_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO24_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO25_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO25_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO26_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO26_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO27_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO27_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO28_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO28_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO29_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO29_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO315_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO315_FUNC_ALT2 0x02u        /*!<@brief Selects pin function.: Alternative connection 2. */

/*! @name PIO3_15 (coord D2), RP1[1]/U9[8]/P3_15-SD_WPn
  @{ */
/* Routed pin properties */
#define BOARD_SD_WPn_PERIPHERAL SDIF                   /*!<@brief Peripheral name */
#define BOARD_SD_WPn_SIGNAL SD_WR_PRT                  /*!<@brief Signal name */
#define BOARD_SD_WPn_PIN_NAME SD_WR_PRT                /*!<@brief Routed pin name */
#define BOARD_SD_WPn_LABEL "RP1[1]/U9[8]/P3_15-SD_WPn" /*!<@brief Label */
#define BOARD_SD_WPn_NAME "SD_WPn"                     /*!<@brief Identifier */
#define BOARD_SD_WPn_PORT 3U                           /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_WPn_PIN 15U                           /*!<@brief PORT pin number */
#define BOARD_SD_WPn_PIN_MASK (1U << 15U)              /*!<@brief PORT pin mask */
                                                       /* @} */

/*! @name PIO2_10 (coord P1), RP1[2]/U9[7]/P2_10-SD_CDn
  @{ */
/* Routed pin properties */
#define BOARD_SD_CDn_PERIPHERAL SDIF                   /*!<@brief Peripheral name */
#define BOARD_SD_CDn_SIGNAL SD_CARD_DET                /*!<@brief Signal name */
#define BOARD_SD_CDn_PIN_NAME SD_CARD_DET_N            /*!<@brief Routed pin name */
#define BOARD_SD_CDn_LABEL "RP1[2]/U9[7]/P2_10-SD_CDn" /*!<@brief Label */
#define BOARD_SD_CDn_NAME "SD_CDn"                     /*!<@brief Identifier */
#define BOARD_SD_CDn_PORT 2U                           /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_CDn_PIN 10U                           /*!<@brief PORT pin number */
#define BOARD_SD_CDn_PIN_MASK (1U << 10U)              /*!<@brief PORT pin mask */
                                                       /* @} */

/*! @name PIO2_8 (coord F4), RP1[3]/U9[6]/P2_8-SD_D2
  @{ */
/* Routed pin properties */
#define BOARD_SD_D2_PERIPHERAL SDIF                 /*!<@brief Peripheral name */
#define BOARD_SD_D2_SIGNAL SD_D                     /*!<@brief Signal name */
#define BOARD_SD_D2_CHANNEL 2                       /*!<@brief Signal channel */
#define BOARD_SD_D2_PIN_NAME SD_D(2)                /*!<@brief Routed pin name */
#define BOARD_SD_D2_LABEL "RP1[3]/U9[6]/P2_8-SD_D2" /*!<@brief Label */
#define BOARD_SD_D2_NAME "SD_D2"                    /*!<@brief Identifier */
#define BOARD_SD_D2_PORT 2U                         /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_D2_PIN 8U                          /*!<@brief PORT pin number */
#define BOARD_SD_D2_PIN_MASK (1U << 8U)             /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO2_7 (coord J2), RP1[4]/U9[5]/P2_7-SD_D1
  @{ */
/* Routed pin properties */
#define BOARD_SD_D1_PERIPHERAL SDIF                 /*!<@brief Peripheral name */
#define BOARD_SD_D1_SIGNAL SD_D                     /*!<@brief Signal name */
#define BOARD_SD_D1_CHANNEL 1                       /*!<@brief Signal channel */
#define BOARD_SD_D1_PIN_NAME SD_D(1)                /*!<@brief Routed pin name */
#define BOARD_SD_D1_LABEL "RP1[4]/U9[5]/P2_7-SD_D1" /*!<@brief Label */
#define BOARD_SD_D1_NAME "SD_D1"                    /*!<@brief Identifier */
#define BOARD_SD_D1_PORT 2U                         /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_D1_PIN 7U                          /*!<@brief PORT pin number */
#define BOARD_SD_D1_PIN_MASK (1U << 7U)             /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO2_6 (coord F3), RP1[5]/U9[4]/P2_6-SD_D0
  @{ */
/* Routed pin properties */
#define BOARD_SD_D0_PERIPHERAL SDIF                 /*!<@brief Peripheral name */
#define BOARD_SD_D0_SIGNAL SD_D                     /*!<@brief Signal name */
#define BOARD_SD_D0_CHANNEL 0                       /*!<@brief Signal channel */
#define BOARD_SD_D0_PIN_NAME SD_D(0)                /*!<@brief Routed pin name */
#define BOARD_SD_D0_LABEL "RP1[5]/U9[4]/P2_6-SD_D0" /*!<@brief Label */
#define BOARD_SD_D0_NAME "SD_D0"                    /*!<@brief Identifier */
#define BOARD_SD_D0_PORT 2U                         /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_D0_PIN 6U                          /*!<@brief PORT pin number */
#define BOARD_SD_D0_PIN_MASK (1U << 6U)             /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO2_3 (coord B1), U9[3]/P2_3-SD_CLK
  @{ */
/* Routed pin properties */
#define BOARD_SD_CLK_PERIPHERAL SDIF           /*!<@brief Peripheral name */
#define BOARD_SD_CLK_SIGNAL SD_CLK             /*!<@brief Signal name */
#define BOARD_SD_CLK_PIN_NAME SD_CLK           /*!<@brief Routed pin name */
#define BOARD_SD_CLK_LABEL "U9[3]/P2_3-SD_CLK" /*!<@brief Label */
#define BOARD_SD_CLK_NAME "SD_CLK"             /*!<@brief Identifier */
#define BOARD_SD_CLK_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_CLK_PIN 3U                    /*!<@brief PORT pin number */
#define BOARD_SD_CLK_PIN_MASK (1U << 3U)       /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO2_4 (coord D3), RP1[6]/U9[2]/P2_4-SD_CMD
  @{ */
/* Routed pin properties */
#define BOARD_SD_CMD_PERIPHERAL SDIF                  /*!<@brief Peripheral name */
#define BOARD_SD_CMD_SIGNAL SD_CMD                    /*!<@brief Signal name */
#define BOARD_SD_CMD_PIN_NAME SD_CMD                  /*!<@brief Routed pin name */
#define BOARD_SD_CMD_LABEL "RP1[6]/U9[2]/P2_4-SD_CMD" /*!<@brief Label */
#define BOARD_SD_CMD_NAME "SD_CMD"                    /*!<@brief Identifier */
#define BOARD_SD_CMD_PORT 2U                          /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_CMD_PIN 4U                           /*!<@brief PORT pin number */
#define BOARD_SD_CMD_PIN_MASK (1U << 4U)              /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO2_9 (coord K2), RP1[7]/U9[1]/P2_9-SD_D3
  @{ */
/* Routed pin properties */
#define BOARD_SD_D3_PERIPHERAL SDIF                 /*!<@brief Peripheral name */
#define BOARD_SD_D3_SIGNAL SD_D                     /*!<@brief Signal name */
#define BOARD_SD_D3_CHANNEL 3                       /*!<@brief Signal channel */
#define BOARD_SD_D3_PIN_NAME SD_D(3)                /*!<@brief Routed pin name */
#define BOARD_SD_D3_LABEL "RP1[7]/U9[1]/P2_9-SD_D3" /*!<@brief Label */
#define BOARD_SD_D3_NAME "SD_D3"                    /*!<@brief Identifier */
#define BOARD_SD_D3_PORT 2U                         /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_D3_PIN 9U                          /*!<@brief PORT pin number */
#define BOARD_SD_D3_PIN_MASK (1U << 9U)             /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO2_5 (coord C1), Q3[1]/P2_5-SD_POW_EN
  @{ */
/* Routed pin properties */
#define BOARD_SD_POW_EN_PERIPHERAL SDIF              /*!<@brief Peripheral name */
#define BOARD_SD_POW_EN_SIGNAL SD_POW_EN             /*!<@brief Signal name */
#define BOARD_SD_POW_EN_PIN_NAME SD_POW_EN           /*!<@brief Routed pin name */
#define BOARD_SD_POW_EN_LABEL "Q3[1]/P2_5-SD_POW_EN" /*!<@brief Label */
#define BOARD_SD_POW_EN_NAME "SD_POW_EN"             /*!<@brief Identifier */
#define BOARD_SD_POW_EN_PORT 2U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_POW_EN_PIN 5U                       /*!<@brief PORT pin number */
#define BOARD_SD_POW_EN_PIN_MASK (1U << 5U)          /*!<@brief PORT pin mask */
                                                     /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSDHCPins(void); /* Function assigned for the Cortex-M4F */

#define PIO015_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO015_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO015_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO018_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO018_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO019_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO019_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO020_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO020_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO021_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO021_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO02_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO02_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO03_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO03_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO04_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO04_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO05_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO05_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO06_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO06_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO07_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO07_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO08_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO08_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO09_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO09_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO110_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO110_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO111_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO111_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO112_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO112_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO113_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO113_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO114_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO114_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO115_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO115_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO116_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO116_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO119_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO119_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO120_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO120_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO121_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO121_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO123_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO123_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO124_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO124_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO125_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO125_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO126_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO126_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO127_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO127_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO128_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO128_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO129_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO129_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO130_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO130_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO131_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO131_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO14_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO14_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO15_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO15_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO16_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO16_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO17_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO17_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO18_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO18_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO19_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO19_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO325_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO325_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */

/*! @name PIO3_25 (coord P9), U28[G8]/P3_25-EMC_A14
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A14_PERIPHERAL EMC                /*!<@brief Peripheral name */
#define BOARD_EMC_A14_SIGNAL EMC_A                  /*!<@brief Signal name */
#define BOARD_EMC_A14_CHANNEL 14                    /*!<@brief Signal channel */
#define BOARD_EMC_A14_PIN_NAME EMC_A(14)            /*!<@brief Routed pin name */
#define BOARD_EMC_A14_LABEL "U28[G8]/P3_25-EMC_A14" /*!<@brief Label */
#define BOARD_EMC_A14_NAME "EMC_A14"                /*!<@brief Identifier */
#define BOARD_EMC_A14_PORT 3U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A14_PIN 25U                       /*!<@brief PORT pin number */
#define BOARD_EMC_A14_PIN_MASK (1U << 25U)          /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO1_25 (coord M12), U28[G7]/P1_25-EMC_A13
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A13_PERIPHERAL EMC                /*!<@brief Peripheral name */
#define BOARD_EMC_A13_SIGNAL EMC_A                  /*!<@brief Signal name */
#define BOARD_EMC_A13_CHANNEL 13                    /*!<@brief Signal channel */
#define BOARD_EMC_A13_PIN_NAME EMC_A(13)            /*!<@brief Routed pin name */
#define BOARD_EMC_A13_LABEL "U28[G7]/P1_25-EMC_A13" /*!<@brief Label */
#define BOARD_EMC_A13_NAME "EMC_A13"                /*!<@brief Identifier */
#define BOARD_EMC_A13_PORT 1U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A13_PIN 25U                       /*!<@brief PORT pin number */
#define BOARD_EMC_A13_PIN_MASK (1U << 25U)          /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO1_24 (coord N14), U28[G1]/P1_24-EMC_A12
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A12_PERIPHERAL EMC                /*!<@brief Peripheral name */
#define BOARD_EMC_A12_SIGNAL EMC_A                  /*!<@brief Signal name */
#define BOARD_EMC_A12_CHANNEL 12                    /*!<@brief Signal channel */
#define BOARD_EMC_A12_PIN_NAME EMC_A(12)            /*!<@brief Routed pin name */
#define BOARD_EMC_A12_LABEL "U28[G1]/P1_24-EMC_A12" /*!<@brief Label */
#define BOARD_EMC_A12_NAME "EMC_A12"                /*!<@brief Identifier */
#define BOARD_EMC_A12_PORT 1U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A12_PIN 24U                       /*!<@brief PORT pin number */
#define BOARD_EMC_A12_PIN_MASK (1U << 24U)          /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO1_23 (coord M10), U28[G2]/P1_23-EMC_A11
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A11_PERIPHERAL EMC                /*!<@brief Peripheral name */
#define BOARD_EMC_A11_SIGNAL EMC_A                  /*!<@brief Signal name */
#define BOARD_EMC_A11_CHANNEL 11                    /*!<@brief Signal channel */
#define BOARD_EMC_A11_PIN_NAME EMC_A(11)            /*!<@brief Routed pin name */
#define BOARD_EMC_A11_LABEL "U28[G2]/P1_23-EMC_A11" /*!<@brief Label */
#define BOARD_EMC_A11_NAME "EMC_A11"                /*!<@brief Identifier */
#define BOARD_EMC_A11_PORT 1U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A11_PIN 23U                       /*!<@brief PORT pin number */
#define BOARD_EMC_A11_PIN_MASK (1U << 23U)          /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO1_16 (coord B7), U28[H9]/P1_16-EMC_A10
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A10_PERIPHERAL EMC                /*!<@brief Peripheral name */
#define BOARD_EMC_A10_SIGNAL EMC_A                  /*!<@brief Signal name */
#define BOARD_EMC_A10_CHANNEL 10                    /*!<@brief Signal channel */
#define BOARD_EMC_A10_PIN_NAME EMC_A(10)            /*!<@brief Routed pin name */
#define BOARD_EMC_A10_LABEL "U28[H9]/P1_16-EMC_A10" /*!<@brief Label */
#define BOARD_EMC_A10_NAME "EMC_A10"                /*!<@brief Identifier */
#define BOARD_EMC_A10_PORT 1U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A10_PIN 16U                       /*!<@brief PORT pin number */
#define BOARD_EMC_A10_PIN_MASK (1U << 16U)          /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO1_27 (coord F10), U28[G3]/P1_27-EMC_A9
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A9_PERIPHERAL EMC               /*!<@brief Peripheral name */
#define BOARD_EMC_A9_SIGNAL EMC_A                 /*!<@brief Signal name */
#define BOARD_EMC_A9_CHANNEL 9                    /*!<@brief Signal channel */
#define BOARD_EMC_A9_PIN_NAME EMC_A(9)            /*!<@brief Routed pin name */
#define BOARD_EMC_A9_LABEL "U28[G3]/P1_27-EMC_A9" /*!<@brief Label */
#define BOARD_EMC_A9_NAME "EMC_A9"                /*!<@brief Identifier */
#define BOARD_EMC_A9_PORT 1U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A9_PIN 27U                      /*!<@brief PORT pin number */
#define BOARD_EMC_A9_PIN_MASK (1U << 27U)         /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO1_26 (coord J10), U28[H1]/P1_26-EMC_A8
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A8_PERIPHERAL EMC               /*!<@brief Peripheral name */
#define BOARD_EMC_A8_SIGNAL EMC_A                 /*!<@brief Signal name */
#define BOARD_EMC_A8_CHANNEL 8                    /*!<@brief Signal channel */
#define BOARD_EMC_A8_PIN_NAME EMC_A(8)            /*!<@brief Routed pin name */
#define BOARD_EMC_A8_LABEL "U28[H1]/P1_26-EMC_A8" /*!<@brief Label */
#define BOARD_EMC_A8_NAME "EMC_A8"                /*!<@brief Identifier */
#define BOARD_EMC_A8_PORT 1U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A8_PIN 26U                      /*!<@brief PORT pin number */
#define BOARD_EMC_A8_PIN_MASK (1U << 26U)         /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO1_8 (coord P8), U28[H2]/P1_8-EMC_A7
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A7_PERIPHERAL EMC              /*!<@brief Peripheral name */
#define BOARD_EMC_A7_SIGNAL EMC_A                /*!<@brief Signal name */
#define BOARD_EMC_A7_CHANNEL 7                   /*!<@brief Signal channel */
#define BOARD_EMC_A7_PIN_NAME EMC_A(7)           /*!<@brief Routed pin name */
#define BOARD_EMC_A7_LABEL "U28[H2]/P1_8-EMC_A7" /*!<@brief Label */
#define BOARD_EMC_A7_NAME "EMC_A7"               /*!<@brief Identifier */
#define BOARD_EMC_A7_PORT 1U                     /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A7_PIN 8U                      /*!<@brief PORT pin number */
#define BOARD_EMC_A7_PIN_MASK (1U << 8U)         /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_7 (coord N1), U28[H3]/P1_7-EMC_A6
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A6_PERIPHERAL EMC              /*!<@brief Peripheral name */
#define BOARD_EMC_A6_SIGNAL EMC_A                /*!<@brief Signal name */
#define BOARD_EMC_A6_CHANNEL 6                   /*!<@brief Signal channel */
#define BOARD_EMC_A6_PIN_NAME EMC_A(6)           /*!<@brief Routed pin name */
#define BOARD_EMC_A6_LABEL "U28[H3]/P1_7-EMC_A6" /*!<@brief Label */
#define BOARD_EMC_A6_NAME "EMC_A6"               /*!<@brief Identifier */
#define BOARD_EMC_A6_PORT 1U                     /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A6_PIN 7U                      /*!<@brief PORT pin number */
#define BOARD_EMC_A6_PIN_MASK (1U << 7U)         /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_6 (coord G4), U28[J2]/P1_6-EMC_A5
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A5_PERIPHERAL EMC              /*!<@brief Peripheral name */
#define BOARD_EMC_A5_SIGNAL EMC_A                /*!<@brief Signal name */
#define BOARD_EMC_A5_CHANNEL 5                   /*!<@brief Signal channel */
#define BOARD_EMC_A5_PIN_NAME EMC_A(5)           /*!<@brief Routed pin name */
#define BOARD_EMC_A5_LABEL "U28[J2]/P1_6-EMC_A5" /*!<@brief Label */
#define BOARD_EMC_A5_NAME "EMC_A5"               /*!<@brief Identifier */
#define BOARD_EMC_A5_PORT 1U                     /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A5_PIN 6U                      /*!<@brief PORT pin number */
#define BOARD_EMC_A5_PIN_MASK (1U << 6U)         /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_5 (coord E4), U28[J3]/P1_5-EMC_A4
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A4_PERIPHERAL EMC              /*!<@brief Peripheral name */
#define BOARD_EMC_A4_SIGNAL EMC_A                /*!<@brief Signal name */
#define BOARD_EMC_A4_CHANNEL 4                   /*!<@brief Signal channel */
#define BOARD_EMC_A4_PIN_NAME EMC_A(4)           /*!<@brief Routed pin name */
#define BOARD_EMC_A4_LABEL "U28[J3]/P1_5-EMC_A4" /*!<@brief Label */
#define BOARD_EMC_A4_NAME "EMC_A4"               /*!<@brief Identifier */
#define BOARD_EMC_A4_PORT 1U                     /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A4_PIN 5U                      /*!<@brief PORT pin number */
#define BOARD_EMC_A4_PIN_MASK (1U << 5U)         /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO0_21 (coord C13), U28[J7]/P0_21-EMC_A3
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A3_PERIPHERAL EMC               /*!<@brief Peripheral name */
#define BOARD_EMC_A3_SIGNAL EMC_A                 /*!<@brief Signal name */
#define BOARD_EMC_A3_CHANNEL 3                    /*!<@brief Signal channel */
#define BOARD_EMC_A3_PIN_NAME EMC_A(3)            /*!<@brief Routed pin name */
#define BOARD_EMC_A3_LABEL "U28[J7]/P0_21-EMC_A3" /*!<@brief Label */
#define BOARD_EMC_A3_NAME "EMC_A3"                /*!<@brief Identifier */
#define BOARD_EMC_A3_PORT 0U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A3_PIN 21U                      /*!<@brief PORT pin number */
#define BOARD_EMC_A3_PIN_MASK (1U << 21U)         /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO0_20 (coord D13), U28[J8]/P0_20-EMC_A2
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A2_PERIPHERAL EMC               /*!<@brief Peripheral name */
#define BOARD_EMC_A2_SIGNAL EMC_A                 /*!<@brief Signal name */
#define BOARD_EMC_A2_CHANNEL 2                    /*!<@brief Signal channel */
#define BOARD_EMC_A2_PIN_NAME EMC_A(2)            /*!<@brief Routed pin name */
#define BOARD_EMC_A2_LABEL "U28[J8]/P0_20-EMC_A2" /*!<@brief Label */
#define BOARD_EMC_A2_NAME "EMC_A2"                /*!<@brief Identifier */
#define BOARD_EMC_A2_PORT 0U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A2_PIN 20U                      /*!<@brief PORT pin number */
#define BOARD_EMC_A2_PIN_MASK (1U << 20U)         /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO0_19 (coord C6), U28[H8]/P0_19-EMC_A1
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A1_PERIPHERAL EMC               /*!<@brief Peripheral name */
#define BOARD_EMC_A1_SIGNAL EMC_A                 /*!<@brief Signal name */
#define BOARD_EMC_A1_CHANNEL 1                    /*!<@brief Signal channel */
#define BOARD_EMC_A1_PIN_NAME EMC_A(1)            /*!<@brief Routed pin name */
#define BOARD_EMC_A1_LABEL "U28[H8]/P0_19-EMC_A1" /*!<@brief Label */
#define BOARD_EMC_A1_NAME "EMC_A1"                /*!<@brief Identifier */
#define BOARD_EMC_A1_PORT 0U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A1_PIN 19U                      /*!<@brief PORT pin number */
#define BOARD_EMC_A1_PIN_MASK (1U << 19U)         /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO0_18 (coord C14), U28[H7]/P0_18-EMC_A0
  @{ */
/* Routed pin properties */
#define BOARD_EMC_A0_PERIPHERAL EMC               /*!<@brief Peripheral name */
#define BOARD_EMC_A0_SIGNAL EMC_A                 /*!<@brief Signal name */
#define BOARD_EMC_A0_CHANNEL 0                    /*!<@brief Signal channel */
#define BOARD_EMC_A0_PIN_NAME EMC_A(0)            /*!<@brief Routed pin name */
#define BOARD_EMC_A0_LABEL "U28[H7]/P0_18-EMC_A0" /*!<@brief Label */
#define BOARD_EMC_A0_NAME "EMC_A0"                /*!<@brief Identifier */
#define BOARD_EMC_A0_PORT 0U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A0_PIN 18U                      /*!<@brief PORT pin number */
#define BOARD_EMC_A0_PIN_MASK (1U << 18U)         /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO0_15 (coord L4), U28[F9]/P0_15-EMC_WEn
  @{ */
/* Routed pin properties */
#define BOARD_EMC_WEn_PERIPHERAL EMC                /*!<@brief Peripheral name */
#define BOARD_EMC_WEn_SIGNAL EMC_WE                 /*!<@brief Signal name */
#define BOARD_EMC_WEn_PIN_NAME EMC_WEN              /*!<@brief Routed pin name */
#define BOARD_EMC_WEn_LABEL "U28[F9]/P0_15-EMC_WEn" /*!<@brief Label */
#define BOARD_EMC_WEn_NAME "EMC_WEn"                /*!<@brief Identifier */
#define BOARD_EMC_WEn_PORT 0U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_WEn_PIN 15U                       /*!<@brief PORT pin number */
#define BOARD_EMC_WEn_PIN_MASK (1U << 15U)          /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO1_9 (coord K6), U28[F7]/P1_9-EMC_CASn
  @{ */
/* Routed pin properties */
#define BOARD_EMC_CASn_PERIPHERAL EMC                /*!<@brief Peripheral name */
#define BOARD_EMC_CASn_SIGNAL EMC_CAS                /*!<@brief Signal name */
#define BOARD_EMC_CASn_PIN_NAME EMC_CASN             /*!<@brief Routed pin name */
#define BOARD_EMC_CASn_LABEL "U28[F7]/P1_9-EMC_CASn" /*!<@brief Label */
#define BOARD_EMC_CASn_NAME "EMC_CASn"               /*!<@brief Identifier */
#define BOARD_EMC_CASn_PORT 1U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_CASn_PIN 9U                        /*!<@brief PORT pin number */
#define BOARD_EMC_CASn_PIN_MASK (1U << 9U)           /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PIO1_10 (coord N9), U28[F8]/P1_10-EMC_RASn
  @{ */
/* Routed pin properties */
#define BOARD_EMC_RASn_PERIPHERAL EMC                 /*!<@brief Peripheral name */
#define BOARD_EMC_RASn_SIGNAL EMC_RAS                 /*!<@brief Signal name */
#define BOARD_EMC_RASn_PIN_NAME EMC_RASN              /*!<@brief Routed pin name */
#define BOARD_EMC_RASn_LABEL "U28[F8]/P1_10-EMC_RASn" /*!<@brief Label */
#define BOARD_EMC_RASn_NAME "EMC_RASn"                /*!<@brief Identifier */
#define BOARD_EMC_RASn_PORT 1U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_RASn_PIN 10U                        /*!<@brief PORT pin number */
#define BOARD_EMC_RASn_PIN_MASK (1U << 10U)           /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO1_12 (coord K9), U28[G9]/P1_12-EMC_DYCSn0
  @{ */
/* Routed pin properties */
#define BOARD_EMC_DYCSn0_PERIPHERAL EMC                   /*!<@brief Peripheral name */
#define BOARD_EMC_DYCSn0_SIGNAL EMC_DYCS                  /*!<@brief Signal name */
#define BOARD_EMC_DYCSn0_CHANNEL 0                        /*!<@brief Signal channel */
#define BOARD_EMC_DYCSn0_PIN_NAME EMC_DYCSN(0)            /*!<@brief Routed pin name */
#define BOARD_EMC_DYCSn0_LABEL "U28[G9]/P1_12-EMC_DYCSn0" /*!<@brief Label */
#define BOARD_EMC_DYCSn0_NAME "EMC_DYCSn0"                /*!<@brief Identifier */
#define BOARD_EMC_DYCSn0_PORT 1U                          /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_DYCSn0_PIN 12U                          /*!<@brief PORT pin number */
#define BOARD_EMC_DYCSn0_PIN_MASK (1U << 12U)             /*!<@brief PORT pin mask */
                                                          /* @} */

/*! @name PIO1_31 (coord C5), U28[A2]/RP2[1]/P1_31-EMC_D15
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D15_PERIPHERAL EMC                       /*!<@brief Peripheral name */
#define BOARD_EMC_D15_SIGNAL EMC_D                         /*!<@brief Signal name */
#define BOARD_EMC_D15_CHANNEL 15                           /*!<@brief Signal channel */
#define BOARD_EMC_D15_PIN_NAME EMC_D(15)                   /*!<@brief Routed pin name */
#define BOARD_EMC_D15_LABEL "U28[A2]/RP2[1]/P1_31-EMC_D15" /*!<@brief Label */
#define BOARD_EMC_D15_NAME "EMC_D15"                       /*!<@brief Identifier */
#define BOARD_EMC_D15_PORT 1U                              /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D15_PIN 31U                              /*!<@brief PORT pin number */
#define BOARD_EMC_D15_PIN_MASK (1U << 31U)                 /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO1_30 (coord A8), U28[B1]/RP2[2]/P1_30-EMC_D14
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D14_PERIPHERAL EMC                       /*!<@brief Peripheral name */
#define BOARD_EMC_D14_SIGNAL EMC_D                         /*!<@brief Signal name */
#define BOARD_EMC_D14_CHANNEL 14                           /*!<@brief Signal channel */
#define BOARD_EMC_D14_PIN_NAME EMC_D(14)                   /*!<@brief Routed pin name */
#define BOARD_EMC_D14_LABEL "U28[B1]/RP2[2]/P1_30-EMC_D14" /*!<@brief Label */
#define BOARD_EMC_D14_NAME "EMC_D14"                       /*!<@brief Identifier */
#define BOARD_EMC_D14_PORT 1U                              /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D14_PIN 30U                              /*!<@brief PORT pin number */
#define BOARD_EMC_D14_PIN_MASK (1U << 30U)                 /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO1_29 (coord C11), U28[B2]/RP2[3]/P1_29-EMC_D13
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D13_PERIPHERAL EMC                       /*!<@brief Peripheral name */
#define BOARD_EMC_D13_SIGNAL EMC_D                         /*!<@brief Signal name */
#define BOARD_EMC_D13_CHANNEL 13                           /*!<@brief Signal channel */
#define BOARD_EMC_D13_PIN_NAME EMC_D(13)                   /*!<@brief Routed pin name */
#define BOARD_EMC_D13_LABEL "U28[B2]/RP2[3]/P1_29-EMC_D13" /*!<@brief Label */
#define BOARD_EMC_D13_NAME "EMC_D13"                       /*!<@brief Identifier */
#define BOARD_EMC_D13_PORT 1U                              /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D13_PIN 29U                              /*!<@brief PORT pin number */
#define BOARD_EMC_D13_PIN_MASK (1U << 29U)                 /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO1_28 (coord E12), U28[C1]/RP2[4]/P1_28-EMC_D12
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D12_PERIPHERAL EMC                       /*!<@brief Peripheral name */
#define BOARD_EMC_D12_SIGNAL EMC_D                         /*!<@brief Signal name */
#define BOARD_EMC_D12_CHANNEL 12                           /*!<@brief Signal channel */
#define BOARD_EMC_D12_PIN_NAME EMC_D(12)                   /*!<@brief Routed pin name */
#define BOARD_EMC_D12_LABEL "U28[C1]/RP2[4]/P1_28-EMC_D12" /*!<@brief Label */
#define BOARD_EMC_D12_NAME "EMC_D12"                       /*!<@brief Identifier */
#define BOARD_EMC_D12_PORT 1U                              /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D12_PIN 28U                              /*!<@brief PORT pin number */
#define BOARD_EMC_D12_PIN_MASK (1U << 28U)                 /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO1_4 (coord D4), U28[C2]/RP4[1]/P1_4-EMC_D11
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D11_PERIPHERAL EMC                      /*!<@brief Peripheral name */
#define BOARD_EMC_D11_SIGNAL EMC_D                        /*!<@brief Signal name */
#define BOARD_EMC_D11_CHANNEL 11                          /*!<@brief Signal channel */
#define BOARD_EMC_D11_PIN_NAME EMC_D(11)                  /*!<@brief Routed pin name */
#define BOARD_EMC_D11_LABEL "U28[C2]/RP4[1]/P1_4-EMC_D11" /*!<@brief Label */
#define BOARD_EMC_D11_NAME "EMC_D11"                      /*!<@brief Identifier */
#define BOARD_EMC_D11_PORT 1U                             /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D11_PIN 4U                              /*!<@brief PORT pin number */
#define BOARD_EMC_D11_PIN_MASK (1U << 4U)                 /*!<@brief PORT pin mask */
                                                          /* @} */

/*! @name PIO1_21 (coord N8), U28[D1]/RP4[2]/P1_21-EMC_D10
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D10_PERIPHERAL EMC                       /*!<@brief Peripheral name */
#define BOARD_EMC_D10_SIGNAL EMC_D                         /*!<@brief Signal name */
#define BOARD_EMC_D10_CHANNEL 10                           /*!<@brief Signal channel */
#define BOARD_EMC_D10_PIN_NAME EMC_D(10)                   /*!<@brief Routed pin name */
#define BOARD_EMC_D10_LABEL "U28[D1]/RP4[2]/P1_21-EMC_D10" /*!<@brief Label */
#define BOARD_EMC_D10_NAME "EMC_D10"                       /*!<@brief Identifier */
#define BOARD_EMC_D10_PORT 1U                              /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D10_PIN 21U                              /*!<@brief PORT pin number */
#define BOARD_EMC_D10_PIN_MASK (1U << 21U)                 /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO1_20 (coord M1), U28[D2]/RP4[3]/P1_20-EMC_D9
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D9_PERIPHERAL EMC                      /*!<@brief Peripheral name */
#define BOARD_EMC_D9_SIGNAL EMC_D                        /*!<@brief Signal name */
#define BOARD_EMC_D9_CHANNEL 9                           /*!<@brief Signal channel */
#define BOARD_EMC_D9_PIN_NAME EMC_D(9)                   /*!<@brief Routed pin name */
#define BOARD_EMC_D9_LABEL "U28[D2]/RP4[3]/P1_20-EMC_D9" /*!<@brief Label */
#define BOARD_EMC_D9_NAME "EMC_D9"                       /*!<@brief Identifier */
#define BOARD_EMC_D9_PORT 1U                             /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D9_PIN 20U                             /*!<@brief PORT pin number */
#define BOARD_EMC_D9_PIN_MASK (1U << 20U)                /*!<@brief PORT pin mask */
                                                         /* @} */

/*! @name PIO1_19 (coord L1), U28[E1]/RP4[4]/P1_19-EMC_D8
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D8_PERIPHERAL EMC                      /*!<@brief Peripheral name */
#define BOARD_EMC_D8_SIGNAL EMC_D                        /*!<@brief Signal name */
#define BOARD_EMC_D8_CHANNEL 8                           /*!<@brief Signal channel */
#define BOARD_EMC_D8_PIN_NAME EMC_D(8)                   /*!<@brief Routed pin name */
#define BOARD_EMC_D8_LABEL "U28[E1]/RP4[4]/P1_19-EMC_D8" /*!<@brief Label */
#define BOARD_EMC_D8_NAME "EMC_D8"                       /*!<@brief Identifier */
#define BOARD_EMC_D8_PORT 1U                             /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D8_PIN 19U                             /*!<@brief PORT pin number */
#define BOARD_EMC_D8_PIN_MASK (1U << 19U)                /*!<@brief PORT pin mask */
                                                         /* @} */

/*! @name PIO0_9 (coord G12), U28[E9]/RP5[1]/P0_9-EMC_D7
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D7_PERIPHERAL EMC                     /*!<@brief Peripheral name */
#define BOARD_EMC_D7_SIGNAL EMC_D                       /*!<@brief Signal name */
#define BOARD_EMC_D7_CHANNEL 7                          /*!<@brief Signal channel */
#define BOARD_EMC_D7_PIN_NAME EMC_D(7)                  /*!<@brief Routed pin name */
#define BOARD_EMC_D7_LABEL "U28[E9]/RP5[1]/P0_9-EMC_D7" /*!<@brief Label */
#define BOARD_EMC_D7_NAME "EMC_D7"                      /*!<@brief Identifier */
#define BOARD_EMC_D7_PORT 0U                            /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D7_PIN 9U                             /*!<@brief PORT pin number */
#define BOARD_EMC_D7_PIN_MASK (1U << 9U)                /*!<@brief PORT pin mask */
                                                        /* @} */

/*! @name PIO0_8 (coord H10), U28[D8]/RP5[2]/P0_8-EMC_D6
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D6_PERIPHERAL EMC                     /*!<@brief Peripheral name */
#define BOARD_EMC_D6_SIGNAL EMC_D                       /*!<@brief Signal name */
#define BOARD_EMC_D6_CHANNEL 6                          /*!<@brief Signal channel */
#define BOARD_EMC_D6_PIN_NAME EMC_D(6)                  /*!<@brief Routed pin name */
#define BOARD_EMC_D6_LABEL "U28[D8]/RP5[2]/P0_8-EMC_D6" /*!<@brief Label */
#define BOARD_EMC_D6_NAME "EMC_D6"                      /*!<@brief Identifier */
#define BOARD_EMC_D6_PORT 0U                            /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D6_PIN 8U                             /*!<@brief PORT pin number */
#define BOARD_EMC_D6_PIN_MASK (1U << 8U)                /*!<@brief PORT pin mask */
                                                        /* @} */

/*! @name PIO0_7 (coord H12), U28[D9]/RP5[3]/P0_7-EMC_D5
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D5_PERIPHERAL EMC                     /*!<@brief Peripheral name */
#define BOARD_EMC_D5_SIGNAL EMC_D                       /*!<@brief Signal name */
#define BOARD_EMC_D5_CHANNEL 5                          /*!<@brief Signal channel */
#define BOARD_EMC_D5_PIN_NAME EMC_D(5)                  /*!<@brief Routed pin name */
#define BOARD_EMC_D5_LABEL "U28[D9]/RP5[3]/P0_7-EMC_D5" /*!<@brief Label */
#define BOARD_EMC_D5_NAME "EMC_D5"                      /*!<@brief Identifier */
#define BOARD_EMC_D5_PORT 0U                            /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D5_PIN 7U                             /*!<@brief PORT pin number */
#define BOARD_EMC_D5_PIN_MASK (1U << 7U)                /*!<@brief PORT pin mask */
                                                        /* @} */

/*! @name PIO0_6 (coord A5), U28[C8]/RP5[4]/SW2/P0_6-ISP2/P0_6-EMC_D4
  @{ */
/* Routed pin properties */
#define BOARD_EMC_D4_PERIPHERAL EMC                                   /*!<@brief Peripheral name */
#define BOARD_EMC_D4_SIGNAL EMC_D                                     /*!<@brief Signal name */
#define BOARD_EMC_D4_CHANNEL 4                                        /*!<@brief Signal channel */
#define BOARD_EMC_D4_PIN_NAME EMC_D(4)                                /*!<@brief Routed pin name */
#define BOARD_EMC_D4_LABEL "U28[C8]/RP5[4]/SW2/P0_6-ISP2/P0_6-EMC_D4" /*!<@brief Label */
#define BOARD_EMC_D4_NAME "EMC_D4"                                    /*!<@brief Identifier */
#define BOARD_EMC_D4_PORT 0U                                          /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D4_PIN 6U                                           /*!<@brief PORT pin number */
#define BOARD_EMC_D4_PIN_MASK (1U << 6U)                              /*!<@brief PORT pin mask */
                                                                      /* @} */

/*! @name PIO0_5 (coord E7), U28[C9]/RP3[1]/JS32[1]/SW3/P0_5-ISP1/P0_5-EMC_D3
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_EMC_D3_PERIPHERAL EMC
/*!
 * @brief Signal name */
#define BOARD_EMC_D3_SIGNAL EMC_D
/*!
 * @brief Signal channel */
#define BOARD_EMC_D3_CHANNEL 3
/*!
 * @brief Routed pin name */
#define BOARD_EMC_D3_PIN_NAME EMC_D(3)
/*!
 * @brief Label */
#define BOARD_EMC_D3_LABEL "U28[C9]/RP3[1]/JS32[1]/SW3/P0_5-ISP1/P0_5-EMC_D3"
/*!
 * @brief Identifier */
#define BOARD_EMC_D3_NAME "EMC_D3"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_EMC_D3_PORT 0U
/*!
 * @brief PORT pin number */
#define BOARD_EMC_D3_PIN 5U
/*!
 * @brief PORT pin mask */
#define BOARD_EMC_D3_PIN_MASK (1U << 5U)
/* @} */

/*! @name PIO0_4 (coord C8), U28[B8]/RP3[2]/JS32[3]/SW4/P0_4-ISP0/P0_4-EMC_D2
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_EMC_D2_PERIPHERAL EMC
/*!
 * @brief Signal name */
#define BOARD_EMC_D2_SIGNAL EMC_D
/*!
 * @brief Signal channel */
#define BOARD_EMC_D2_CHANNEL 2
/*!
 * @brief Routed pin name */
#define BOARD_EMC_D2_PIN_NAME EMC_D(2)
/*!
 * @brief Label */
#define BOARD_EMC_D2_LABEL "U28[B8]/RP3[2]/JS32[3]/SW4/P0_4-ISP0/P0_4-EMC_D2"
/*!
 * @brief Identifier */
#define BOARD_EMC_D2_NAME "EMC_D2"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_EMC_D2_PORT 0U
/*!
 * @brief PORT pin number */
#define BOARD_EMC_D2_PIN 4U
/*!
 * @brief PORT pin mask */
#define BOARD_EMC_D2_PIN_MASK (1U << 4U)
/* @} */

/*! @name PIO0_3 (coord A10), U28[B9]/RP3[3]/JS34[1]/U26[11]/J14[2]/P0_3-ISP_FC3_MOSI/P0_3-EMC_D1
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_EMC_D1_PERIPHERAL EMC
/*!
 * @brief Signal name */
#define BOARD_EMC_D1_SIGNAL EMC_D
/*!
 * @brief Signal channel */
#define BOARD_EMC_D1_CHANNEL 1
/*!
 * @brief Routed pin name */
#define BOARD_EMC_D1_PIN_NAME EMC_D(1)
/*!
 * @brief Label */
#define BOARD_EMC_D1_LABEL "U28[B9]/RP3[3]/JS34[1]/U26[11]/J14[2]/P0_3-ISP_FC3_MOSI/P0_3-EMC_D1"
/*!
 * @brief Identifier */
#define BOARD_EMC_D1_NAME "EMC_D1"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_EMC_D1_PORT 0U
/*!
 * @brief PORT pin number */
#define BOARD_EMC_D1_PIN 3U
/*!
 * @brief PORT pin mask */
#define BOARD_EMC_D1_PIN_MASK (1U << 3U)
/* @} */

/*! @name PIO0_2 (coord E9), U28[A8]/RP3[4]/JS35[1]/U24[11]/J14[3]/P0_2-ISP_FC3_MISO/P0_2-EMC_D0
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_EMC_D0_PERIPHERAL EMC
/*!
 * @brief Signal name */
#define BOARD_EMC_D0_SIGNAL EMC_D
/*!
 * @brief Signal channel */
#define BOARD_EMC_D0_CHANNEL 0
/*!
 * @brief Routed pin name */
#define BOARD_EMC_D0_PIN_NAME EMC_D(0)
/*!
 * @brief Label */
#define BOARD_EMC_D0_LABEL "U28[A8]/RP3[4]/JS35[1]/U24[11]/J14[3]/P0_2-ISP_FC3_MISO/P0_2-EMC_D0"
/*!
 * @brief Identifier */
#define BOARD_EMC_D0_NAME "EMC_D0"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_EMC_D0_PORT 0U
/*!
 * @brief PORT pin number */
#define BOARD_EMC_D0_PIN 2U
/*!
 * @brief PORT pin mask */
#define BOARD_EMC_D0_PIN_MASK (1U << 2U)
/* @} */

/*! @name PIO1_14 (coord C12), U28[F1]/P1_14-EMC_DQM1
  @{ */
/* Routed pin properties */
#define BOARD_EMC_DQM1_PERIPHERAL EMC                 /*!<@brief Peripheral name */
#define BOARD_EMC_DQM1_SIGNAL EMC_DQM                 /*!<@brief Signal name */
#define BOARD_EMC_DQM1_CHANNEL 1                      /*!<@brief Signal channel */
#define BOARD_EMC_DQM1_PIN_NAME EMC_DQM(1)            /*!<@brief Routed pin name */
#define BOARD_EMC_DQM1_LABEL "U28[F1]/P1_14-EMC_DQM1" /*!<@brief Label */
#define BOARD_EMC_DQM1_NAME "EMC_DQM1"                /*!<@brief Identifier */
#define BOARD_EMC_DQM1_PORT 1U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_DQM1_PIN 14U                        /*!<@brief PORT pin number */
#define BOARD_EMC_DQM1_PIN_MASK (1U << 14U)           /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO1_13 (coord G10), U28[E8]/P1_13-EMC_DQM0
  @{ */
/* Routed pin properties */
#define BOARD_EMC_DQM0_PERIPHERAL EMC                 /*!<@brief Peripheral name */
#define BOARD_EMC_DQM0_SIGNAL EMC_DQM                 /*!<@brief Signal name */
#define BOARD_EMC_DQM0_CHANNEL 0                      /*!<@brief Signal channel */
#define BOARD_EMC_DQM0_PIN_NAME EMC_DQM(0)            /*!<@brief Routed pin name */
#define BOARD_EMC_DQM0_LABEL "U28[E8]/P1_13-EMC_DQM0" /*!<@brief Label */
#define BOARD_EMC_DQM0_NAME "EMC_DQM0"                /*!<@brief Identifier */
#define BOARD_EMC_DQM0_PORT 1U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_DQM0_PIN 13U                        /*!<@brief PORT pin number */
#define BOARD_EMC_DQM0_PIN_MASK (1U << 13U)           /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO1_11 (coord B4), U28[F2]/P1_11-EMC_CLK0
  @{ */
/* Routed pin properties */
#define BOARD_EMC_CLK0_PERIPHERAL EMC                 /*!<@brief Peripheral name */
#define BOARD_EMC_CLK0_SIGNAL EMC_CLK                 /*!<@brief Signal name */
#define BOARD_EMC_CLK0_CHANNEL 0                      /*!<@brief Signal channel */
#define BOARD_EMC_CLK0_PIN_NAME EMC_CLK(0)            /*!<@brief Routed pin name */
#define BOARD_EMC_CLK0_LABEL "U28[F2]/P1_11-EMC_CLK0" /*!<@brief Label */
#define BOARD_EMC_CLK0_NAME "EMC_CLK0"                /*!<@brief Identifier */
#define BOARD_EMC_CLK0_PORT 1U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_CLK0_PIN 11U                        /*!<@brief PORT pin number */
#define BOARD_EMC_CLK0_PIN_MASK (1U << 11U)           /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO1_15 (coord A11), U28[F3]/P1_15-EMC_CKE0
  @{ */
/* Routed pin properties */
#define BOARD_EMC_CKE0_PERIPHERAL EMC                 /*!<@brief Peripheral name */
#define BOARD_EMC_CKE0_SIGNAL EMC_CKE                 /*!<@brief Signal name */
#define BOARD_EMC_CKE0_CHANNEL 0                      /*!<@brief Signal channel */
#define BOARD_EMC_CKE0_PIN_NAME EMC_CKE(0)            /*!<@brief Routed pin name */
#define BOARD_EMC_CKE0_LABEL "U28[F3]/P1_15-EMC_CKE0" /*!<@brief Label */
#define BOARD_EMC_CKE0_NAME "EMC_CKE0"                /*!<@brief Identifier */
#define BOARD_EMC_CKE0_PORT 1U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_CKE0_PIN 15U                        /*!<@brief PORT pin number */
#define BOARD_EMC_CKE0_PIN_MASK (1U << 15U)           /*!<@brief PORT pin mask */
                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSDRAMPins(void); /* Function assigned for the Cortex-M4F */

#define PIO029_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO029_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO030_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO030_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */

/*! @name PIO0_29 (coord B13), U24[13]/P0_29-ISP_FC0_RXD
  @{ */
/* Routed pin properties */
#define BOARD_ISP_FC0_RXD_PERIPHERAL FLEXCOMM0              /*!<@brief Peripheral name */
#define BOARD_ISP_FC0_RXD_SIGNAL RXD_SDA_MOSI               /*!<@brief Signal name */
#define BOARD_ISP_FC0_RXD_PIN_NAME FC0_RXD_SDA_MOSI         /*!<@brief Routed pin name */
#define BOARD_ISP_FC0_RXD_LABEL "U24[13]/P0_29-ISP_FC0_RXD" /*!<@brief Label */
#define BOARD_ISP_FC0_RXD_NAME "ISP_FC0_RXD"                /*!<@brief Identifier */
#define BOARD_ISP_FC0_RXD_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
#define BOARD_ISP_FC0_RXD_PORT 0U                           /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC0_RXD_PIN 29U                           /*!<@brief PORT pin number */
#define BOARD_ISP_FC0_RXD_PIN_MASK (1U << 29U)              /*!<@brief PORT pin mask */
                                                            /* @} */

/*! @name PIO0_30 (coord A2), U24[12]/P0_30-ISP_FC0_TXD
  @{ */
/* Routed pin properties */
#define BOARD_ISP_FC0_TXD_PERIPHERAL FLEXCOMM0               /*!<@brief Peripheral name */
#define BOARD_ISP_FC0_TXD_SIGNAL TXD_SCL_MISO                /*!<@brief Signal name */
#define BOARD_ISP_FC0_TXD_PIN_NAME FC0_TXD_SCL_MISO          /*!<@brief Routed pin name */
#define BOARD_ISP_FC0_TXD_LABEL "U24[12]/P0_30-ISP_FC0_TXD"  /*!<@brief Label */
#define BOARD_ISP_FC0_TXD_NAME "ISP_FC0_TXD"                 /*!<@brief Identifier */
#define BOARD_ISP_FC0_TXD_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
#define BOARD_ISP_FC0_TXD_PORT 0U                            /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC0_TXD_PIN 30U                            /*!<@brief PORT pin number */
#define BOARD_ISP_FC0_TXD_PIN_MASK (1U << 30U)               /*!<@brief PORT pin mask */
                                                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void); /* Function assigned for the Cortex-M4F */

#define PIO010_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO010_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO010_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO011_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO011_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO011_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO012_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO012_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO012_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */

/*! @name PIO0_12 (coord M3), P1[2]/U22[4]/D5[5]/IF_SWDIO
  @{ */
/* Routed pin properties */
#define BOARD_IF_SWDIO_PERIPHERAL SWD                      /*!<@brief Peripheral name */
#define BOARD_IF_SWDIO_SIGNAL SWDIO                        /*!<@brief Signal name */
#define BOARD_IF_SWDIO_PIN_NAME SWDIO                      /*!<@brief Routed pin name */
#define BOARD_IF_SWDIO_LABEL "P1[2]/U22[4]/D5[5]/IF_SWDIO" /*!<@brief Label */
#define BOARD_IF_SWDIO_NAME "IF_SWDIO"                     /*!<@brief Identifier */
#define BOARD_IF_SWDIO_PORT 0U                             /*!<@brief PORT peripheral base pointer */
#define BOARD_IF_SWDIO_PIN 12U                             /*!<@brief PORT pin number */
#define BOARD_IF_SWDIO_PIN_MASK (1U << 12U)                /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO0_11 (coord L3), U16[4]/SWDCLK_TRGT
  @{ */
/* Routed pin properties */
#define BOARD_SWDCLK_TRGT_PERIPHERAL SWD             /*!<@brief Peripheral name */
#define BOARD_SWDCLK_TRGT_SIGNAL SWCLK               /*!<@brief Signal name */
#define BOARD_SWDCLK_TRGT_PIN_NAME SWCLK             /*!<@brief Routed pin name */
#define BOARD_SWDCLK_TRGT_LABEL "U16[4]/SWDCLK_TRGT" /*!<@brief Label */
#define BOARD_SWDCLK_TRGT_NAME "SWDCLK_TRGT"         /*!<@brief Identifier */
#define BOARD_SWDCLK_TRGT_PORT 0U                    /*!<@brief PORT peripheral base pointer */
#define BOARD_SWDCLK_TRGT_PIN 11U                    /*!<@brief PORT pin number */
#define BOARD_SWDCLK_TRGT_PIN_MASK (1U << 11U)       /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PIO0_10 (coord P2), U16[12]/SWO_TRGT
  @{ */
/* Routed pin properties */
#define BOARD_SWO_TRGT_PERIPHERAL SWD            /*!<@brief Peripheral name */
#define BOARD_SWO_TRGT_SIGNAL SWO                /*!<@brief Signal name */
#define BOARD_SWO_TRGT_PIN_NAME SWO              /*!<@brief Routed pin name */
#define BOARD_SWO_TRGT_LABEL "U16[12]/SWO_TRGT"  /*!<@brief Label */
#define BOARD_SWO_TRGT_NAME "SWO_TRGT"           /*!<@brief Identifier */
#define BOARD_SWO_TRGT_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SWO_TRGT_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_SWO_TRGT_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSWD_DEBUGPins(void); /* Function assigned for the Cortex-M4F */

#define PIO211_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO211_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO213_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO213_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO214_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO214_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO215_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO215_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO216_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO216_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO221_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO221_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO222_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO222_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO223_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO223_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO224_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO224_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO225_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO225_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO228_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO228_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO229_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO229_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO230_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO230_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO231_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO231_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO30_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO30_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO31_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO31_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO35_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO35_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO36_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO36_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO37_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO37_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO38_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO38_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO39_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO39_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */

/*! @name PIO2_11 (coord K3), J16[31]/P2_11-LCD_PWR
  @{ */
/* Routed pin properties */
#define BOARD_LCD_PWR_PERIPHERAL LCD                /*!<@brief Peripheral name */
#define BOARD_LCD_PWR_SIGNAL LCD_PWR                /*!<@brief Signal name */
#define BOARD_LCD_PWR_PIN_NAME LCD_PWR              /*!<@brief Routed pin name */
#define BOARD_LCD_PWR_LABEL "J16[31]/P2_11-LCD_PWR" /*!<@brief Label */
#define BOARD_LCD_PWR_NAME "LCD_PWR"                /*!<@brief Identifier */
#define BOARD_LCD_PWR_PORT 2U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_PWR_PIN 11U                       /*!<@brief PORT pin number */
#define BOARD_LCD_PWR_PIN_MASK (1U << 11U)          /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO2_14 (coord L7), J16[33]/P2_14-LCD_FP
  @{ */
/* Routed pin properties */
#define BOARD_LCD_FP_PERIPHERAL LCD               /*!<@brief Peripheral name */
#define BOARD_LCD_FP_SIGNAL LCD_FP                /*!<@brief Signal name */
#define BOARD_LCD_FP_PIN_NAME LCD_FP              /*!<@brief Routed pin name */
#define BOARD_LCD_FP_LABEL "J16[33]/P2_14-LCD_FP" /*!<@brief Label */
#define BOARD_LCD_FP_NAME "LCD_FP"                /*!<@brief Identifier */
#define BOARD_LCD_FP_PORT 2U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_FP_PIN 14U                      /*!<@brief PORT pin number */
#define BOARD_LCD_FP_PIN_MASK (1U << 14U)         /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO2_13 (coord P7), J16[30]/P2_13-LCD_DCLK
  @{ */
/* Routed pin properties */
#define BOARD_LCD_DCLK_PERIPHERAL LCD                 /*!<@brief Peripheral name */
#define BOARD_LCD_DCLK_SIGNAL LCD_DCLK                /*!<@brief Signal name */
#define BOARD_LCD_DCLK_PIN_NAME LCD_DCLK              /*!<@brief Routed pin name */
#define BOARD_LCD_DCLK_LABEL "J16[30]/P2_13-LCD_DCLK" /*!<@brief Label */
#define BOARD_LCD_DCLK_NAME "LCD_DCLK"                /*!<@brief Identifier */
#define BOARD_LCD_DCLK_PORT 2U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_DCLK_PIN 13U                        /*!<@brief PORT pin number */
#define BOARD_LCD_DCLK_PIN_MASK (1U << 13U)           /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO2_16 (coord L8), J16[32]/P2_16-LCD_LP
  @{ */
/* Routed pin properties */
#define BOARD_LCD_LP_PERIPHERAL LCD               /*!<@brief Peripheral name */
#define BOARD_LCD_LP_SIGNAL LCD_LP                /*!<@brief Signal name */
#define BOARD_LCD_LP_PIN_NAME LCD_LP              /*!<@brief Routed pin name */
#define BOARD_LCD_LP_LABEL "J16[32]/P2_16-LCD_LP" /*!<@brief Label */
#define BOARD_LCD_LP_NAME "LCD_LP"                /*!<@brief Identifier */
#define BOARD_LCD_LP_PORT 2U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_LP_PIN 16U                      /*!<@brief PORT pin number */
#define BOARD_LCD_LP_PIN_MASK (1U << 16U)         /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO2_15 (coord M8), J16[34]/P2_15-LCD_AC_ENAB_M
  @{ */
/* Routed pin properties */
#define BOARD_LCD_AC_ENAB_M_PERIPHERAL LCD                      /*!<@brief Peripheral name */
#define BOARD_LCD_AC_ENAB_M_SIGNAL LCD_AC                       /*!<@brief Signal name */
#define BOARD_LCD_AC_ENAB_M_PIN_NAME LCD_AC                     /*!<@brief Routed pin name */
#define BOARD_LCD_AC_ENAB_M_LABEL "J16[34]/P2_15-LCD_AC_ENAB_M" /*!<@brief Label */
#define BOARD_LCD_AC_ENAB_M_NAME "LCD_AC_ENAB_M"                /*!<@brief Identifier */
#define BOARD_LCD_AC_ENAB_M_PORT 2U                             /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_AC_ENAB_M_PIN 15U                             /*!<@brief PORT pin number */
#define BOARD_LCD_AC_ENAB_M_PIN_MASK (1U << 15U)                /*!<@brief PORT pin mask */
                                                                /* @} */

/*! @name PIO2_22 (coord K10), J16[9]/P2_22-LCD_VD4
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD4_PERIPHERAL LCD               /*!<@brief Peripheral name */
#define BOARD_LCD_VD4_SIGNAL LCD_VD                /*!<@brief Signal name */
#define BOARD_LCD_VD4_CHANNEL 4                    /*!<@brief Signal channel */
#define BOARD_LCD_VD4_PIN_NAME LCD_VD(4)           /*!<@brief Routed pin name */
#define BOARD_LCD_VD4_LABEL "J16[9]/P2_22-LCD_VD4" /*!<@brief Label */
#define BOARD_LCD_VD4_NAME "LCD_VD4"               /*!<@brief Identifier */
#define BOARD_LCD_VD4_PORT 2U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD4_PIN 22U                      /*!<@brief PORT pin number */
#define BOARD_LCD_VD4_PIN_MASK (1U << 22U)         /*!<@brief PORT pin mask */
                                                   /* @} */

/*! @name PIO2_21 (coord L10), J16[8]/P2_21-LCD_VD3
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD3_PERIPHERAL LCD               /*!<@brief Peripheral name */
#define BOARD_LCD_VD3_SIGNAL LCD_VD                /*!<@brief Signal name */
#define BOARD_LCD_VD3_CHANNEL 3                    /*!<@brief Signal channel */
#define BOARD_LCD_VD3_PIN_NAME LCD_VD(3)           /*!<@brief Routed pin name */
#define BOARD_LCD_VD3_LABEL "J16[8]/P2_21-LCD_VD3" /*!<@brief Label */
#define BOARD_LCD_VD3_NAME "LCD_VD3"               /*!<@brief Identifier */
#define BOARD_LCD_VD3_PORT 2U                      /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD3_PIN 21U                      /*!<@brief PORT pin number */
#define BOARD_LCD_VD3_PIN_MASK (1U << 21U)         /*!<@brief PORT pin mask */
                                                   /* @} */

/*! @name PIO2_29 (coord G11), J16[16]/P2_29-LCD_VD11
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD11_PERIPHERAL LCD                 /*!<@brief Peripheral name */
#define BOARD_LCD_VD11_SIGNAL LCD_VD                  /*!<@brief Signal name */
#define BOARD_LCD_VD11_CHANNEL 11                     /*!<@brief Signal channel */
#define BOARD_LCD_VD11_PIN_NAME LCD_VD(11)            /*!<@brief Routed pin name */
#define BOARD_LCD_VD11_LABEL "J16[16]/P2_29-LCD_VD11" /*!<@brief Label */
#define BOARD_LCD_VD11_NAME "LCD_VD11"                /*!<@brief Identifier */
#define BOARD_LCD_VD11_PORT 2U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD11_PIN 29U                        /*!<@brief PORT pin number */
#define BOARD_LCD_VD11_PIN_MASK (1U << 29U)           /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO2_25 (coord J11), J16[12]/P2_25-LCD_VD7
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD7_PERIPHERAL LCD                /*!<@brief Peripheral name */
#define BOARD_LCD_VD7_SIGNAL LCD_VD                 /*!<@brief Signal name */
#define BOARD_LCD_VD7_CHANNEL 7                     /*!<@brief Signal channel */
#define BOARD_LCD_VD7_PIN_NAME LCD_VD(7)            /*!<@brief Routed pin name */
#define BOARD_LCD_VD7_LABEL "J16[12]/P2_25-LCD_VD7" /*!<@brief Label */
#define BOARD_LCD_VD7_NAME "LCD_VD7"                /*!<@brief Identifier */
#define BOARD_LCD_VD7_PORT 2U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD7_PIN 25U                       /*!<@brief PORT pin number */
#define BOARD_LCD_VD7_PIN_MASK (1U << 25U)          /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO2_30 (coord F12), J16[17]/P2_30-LCD_VD12
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD12_PERIPHERAL LCD                 /*!<@brief Peripheral name */
#define BOARD_LCD_VD12_SIGNAL LCD_VD                  /*!<@brief Signal name */
#define BOARD_LCD_VD12_CHANNEL 12                     /*!<@brief Signal channel */
#define BOARD_LCD_VD12_PIN_NAME LCD_VD(12)            /*!<@brief Routed pin name */
#define BOARD_LCD_VD12_LABEL "J16[17]/P2_30-LCD_VD12" /*!<@brief Label */
#define BOARD_LCD_VD12_NAME "LCD_VD12"                /*!<@brief Identifier */
#define BOARD_LCD_VD12_PORT 2U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD12_PIN 30U                        /*!<@brief PORT pin number */
#define BOARD_LCD_VD12_PIN_MASK (1U << 30U)           /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO2_28 (coord G13), J16[15]/P2_28-LCD_VD10
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD10_PERIPHERAL LCD                 /*!<@brief Peripheral name */
#define BOARD_LCD_VD10_SIGNAL LCD_VD                  /*!<@brief Signal name */
#define BOARD_LCD_VD10_CHANNEL 10                     /*!<@brief Signal channel */
#define BOARD_LCD_VD10_PIN_NAME LCD_VD(10)            /*!<@brief Routed pin name */
#define BOARD_LCD_VD10_LABEL "J16[15]/P2_28-LCD_VD10" /*!<@brief Label */
#define BOARD_LCD_VD10_NAME "LCD_VD10"                /*!<@brief Identifier */
#define BOARD_LCD_VD10_PORT 2U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD10_PIN 28U                        /*!<@brief PORT pin number */
#define BOARD_LCD_VD10_PIN_MASK (1U << 28U)           /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO2_31 (coord D14), J16[18]/P2_31-LCD_VD13
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD13_PERIPHERAL LCD                 /*!<@brief Peripheral name */
#define BOARD_LCD_VD13_SIGNAL LCD_VD                  /*!<@brief Signal name */
#define BOARD_LCD_VD13_CHANNEL 13                     /*!<@brief Signal channel */
#define BOARD_LCD_VD13_PIN_NAME LCD_VD(13)            /*!<@brief Routed pin name */
#define BOARD_LCD_VD13_LABEL "J16[18]/P2_31-LCD_VD13" /*!<@brief Label */
#define BOARD_LCD_VD13_NAME "LCD_VD13"                /*!<@brief Identifier */
#define BOARD_LCD_VD13_PORT 2U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD13_PIN 31U                        /*!<@brief PORT pin number */
#define BOARD_LCD_VD13_PIN_MASK (1U << 31U)           /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO2_24 (coord K14), J16[11]/P2_24-LCD_VD6
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD6_PERIPHERAL LCD                /*!<@brief Peripheral name */
#define BOARD_LCD_VD6_SIGNAL LCD_VD                 /*!<@brief Signal name */
#define BOARD_LCD_VD6_CHANNEL 6                     /*!<@brief Signal channel */
#define BOARD_LCD_VD6_PIN_NAME LCD_VD(6)            /*!<@brief Routed pin name */
#define BOARD_LCD_VD6_LABEL "J16[11]/P2_24-LCD_VD6" /*!<@brief Label */
#define BOARD_LCD_VD6_NAME "LCD_VD6"                /*!<@brief Identifier */
#define BOARD_LCD_VD6_PORT 2U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD6_PIN 24U                       /*!<@brief PORT pin number */
#define BOARD_LCD_VD6_PIN_MASK (1U << 24U)          /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO2_23 (coord M14), J16[10]/P2_23-LCD_VD5
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD5_PERIPHERAL LCD                /*!<@brief Peripheral name */
#define BOARD_LCD_VD5_SIGNAL LCD_VD                 /*!<@brief Signal name */
#define BOARD_LCD_VD5_CHANNEL 5                     /*!<@brief Signal channel */
#define BOARD_LCD_VD5_PIN_NAME LCD_VD(5)            /*!<@brief Routed pin name */
#define BOARD_LCD_VD5_LABEL "J16[10]/P2_23-LCD_VD5" /*!<@brief Label */
#define BOARD_LCD_VD5_NAME "LCD_VD5"                /*!<@brief Identifier */
#define BOARD_LCD_VD5_PORT 2U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD5_PIN 23U                       /*!<@brief PORT pin number */
#define BOARD_LCD_VD5_PIN_MASK (1U << 23U)          /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO3_0 (coord D12), J16[19]/JS36[1]/P3_0-LCD_VD14
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD14_PERIPHERAL LCD                        /*!<@brief Peripheral name */
#define BOARD_LCD_VD14_SIGNAL LCD_VD                         /*!<@brief Signal name */
#define BOARD_LCD_VD14_CHANNEL 14                            /*!<@brief Signal channel */
#define BOARD_LCD_VD14_PIN_NAME LCD_VD(14)                   /*!<@brief Routed pin name */
#define BOARD_LCD_VD14_LABEL "J16[19]/JS36[1]/P3_0-LCD_VD14" /*!<@brief Label */
#define BOARD_LCD_VD14_NAME "LCD_VD14"                       /*!<@brief Identifier */
#define BOARD_LCD_VD14_PORT 3U                               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD14_PIN 0U                                /*!<@brief PORT pin number */
#define BOARD_LCD_VD14_PIN_MASK (1U << 0U)                   /*!<@brief PORT pin mask */
                                                             /* @} */

/*! @name PIO3_1 (coord D11), J16[20]/JS33[1]/P3_1-LCD_VD15
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD15_PERIPHERAL LCD                        /*!<@brief Peripheral name */
#define BOARD_LCD_VD15_SIGNAL LCD_VD                         /*!<@brief Signal name */
#define BOARD_LCD_VD15_CHANNEL 15                            /*!<@brief Signal channel */
#define BOARD_LCD_VD15_PIN_NAME LCD_VD(15)                   /*!<@brief Routed pin name */
#define BOARD_LCD_VD15_LABEL "J16[20]/JS33[1]/P3_1-LCD_VD15" /*!<@brief Label */
#define BOARD_LCD_VD15_NAME "LCD_VD15"                       /*!<@brief Identifier */
#define BOARD_LCD_VD15_PORT 3U                               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD15_PIN 1U                                /*!<@brief PORT pin number */
#define BOARD_LCD_VD15_PIN_MASK (1U << 1U)                   /*!<@brief PORT pin mask */
                                                             /* @} */

/*! @name PIO3_5 (coord B10), J16[24]/P3_5-LCD_VD19
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD19_PERIPHERAL LCD                /*!<@brief Peripheral name */
#define BOARD_LCD_VD19_SIGNAL LCD_VD                 /*!<@brief Signal name */
#define BOARD_LCD_VD19_CHANNEL 19                    /*!<@brief Signal channel */
#define BOARD_LCD_VD19_PIN_NAME LCD_VD(19)           /*!<@brief Routed pin name */
#define BOARD_LCD_VD19_LABEL "J16[24]/P3_5-LCD_VD19" /*!<@brief Label */
#define BOARD_LCD_VD19_NAME "LCD_VD19"               /*!<@brief Identifier */
#define BOARD_LCD_VD19_PORT 3U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD19_PIN 5U                        /*!<@brief PORT pin number */
#define BOARD_LCD_VD19_PIN_MASK (1U << 5U)           /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PIO3_6 (coord C9), J16[25]/P3_6-LCD_VD20
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD20_PERIPHERAL LCD                /*!<@brief Peripheral name */
#define BOARD_LCD_VD20_SIGNAL LCD_VD                 /*!<@brief Signal name */
#define BOARD_LCD_VD20_CHANNEL 20                    /*!<@brief Signal channel */
#define BOARD_LCD_VD20_PIN_NAME LCD_VD(20)           /*!<@brief Routed pin name */
#define BOARD_LCD_VD20_LABEL "J16[25]/P3_6-LCD_VD20" /*!<@brief Label */
#define BOARD_LCD_VD20_NAME "LCD_VD20"               /*!<@brief Identifier */
#define BOARD_LCD_VD20_PORT 3U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD20_PIN 6U                        /*!<@brief PORT pin number */
#define BOARD_LCD_VD20_PIN_MASK (1U << 6U)           /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PIO3_7 (coord B8), J16[26]/P3_7-LCD_VD21
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD21_PERIPHERAL LCD                /*!<@brief Peripheral name */
#define BOARD_LCD_VD21_SIGNAL LCD_VD                 /*!<@brief Signal name */
#define BOARD_LCD_VD21_CHANNEL 21                    /*!<@brief Signal channel */
#define BOARD_LCD_VD21_PIN_NAME LCD_VD(21)           /*!<@brief Routed pin name */
#define BOARD_LCD_VD21_LABEL "J16[26]/P3_7-LCD_VD21" /*!<@brief Label */
#define BOARD_LCD_VD21_NAME "LCD_VD21"               /*!<@brief Identifier */
#define BOARD_LCD_VD21_PORT 3U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD21_PIN 7U                        /*!<@brief PORT pin number */
#define BOARD_LCD_VD21_PIN_MASK (1U << 7U)           /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PIO3_8 (coord A7), J16[27]/P3_8-LCD_VD22
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD22_PERIPHERAL LCD                /*!<@brief Peripheral name */
#define BOARD_LCD_VD22_SIGNAL LCD_VD                 /*!<@brief Signal name */
#define BOARD_LCD_VD22_CHANNEL 22                    /*!<@brief Signal channel */
#define BOARD_LCD_VD22_PIN_NAME LCD_VD(22)           /*!<@brief Routed pin name */
#define BOARD_LCD_VD22_LABEL "J16[27]/P3_8-LCD_VD22" /*!<@brief Label */
#define BOARD_LCD_VD22_NAME "LCD_VD22"               /*!<@brief Identifier */
#define BOARD_LCD_VD22_PORT 3U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD22_PIN 8U                        /*!<@brief PORT pin number */
#define BOARD_LCD_VD22_PIN_MASK (1U << 8U)           /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PIO3_9 (coord C7), J16[28]/P3_9-LCD_VD23
  @{ */
/* Routed pin properties */
#define BOARD_LCD_VD23_PERIPHERAL LCD                /*!<@brief Peripheral name */
#define BOARD_LCD_VD23_SIGNAL LCD_VD                 /*!<@brief Signal name */
#define BOARD_LCD_VD23_CHANNEL 23                    /*!<@brief Signal channel */
#define BOARD_LCD_VD23_PIN_NAME LCD_VD(23)           /*!<@brief Routed pin name */
#define BOARD_LCD_VD23_LABEL "J16[28]/P3_9-LCD_VD23" /*!<@brief Label */
#define BOARD_LCD_VD23_NAME "LCD_VD23"               /*!<@brief Identifier */
#define BOARD_LCD_VD23_PORT 3U                       /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD23_PIN 9U                        /*!<@brief PORT pin number */
#define BOARD_LCD_VD23_PIN_MASK (1U << 9U)           /*!<@brief PORT pin mask */
                                                     /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLCDPins(void); /* Function assigned for the Cortex-M4F */

#define PIO017_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO017_FUNC_ALT7 0x07u        /*!<@brief Selects pin function.: Alternative connection 7. */
#define PIO226_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO226_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO410_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO410_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO411_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO411_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO412_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO412_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO413_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO413_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO414_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO414_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO415_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO415_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO416_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO416_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO48_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO48_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */

/*! @name PIO4_8 (coord B14), U12[17]/JP11[1]/P4_8-ENET_TXD0
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITENETPINS_ENET_TXD0_PERIPHERAL ENET
/*!
 * @brief Signal name */
#define BOARD_INITENETPINS_ENET_TXD0_SIGNAL ENET_TXD
/*!
 * @brief Signal channel */
#define BOARD_INITENETPINS_ENET_TXD0_CHANNEL 0
/*!
 * @brief Routed pin name */
#define BOARD_INITENETPINS_ENET_TXD0_PIN_NAME ENET_TXD0
/*!
 * @brief Label */
#define BOARD_INITENETPINS_ENET_TXD0_LABEL "U12[17]/JP11[1]/P4_8-ENET_TXD0"
/*!
 * @brief Identifier */
#define BOARD_INITENETPINS_ENET_TXD0_NAME "ENET_TXD0"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_INITENETPINS_ENET_TXD0_PORT 4U
/*!
 * @brief PORT pin number */
#define BOARD_INITENETPINS_ENET_TXD0_PIN 8U
/*!
 * @brief PORT pin mask */
#define BOARD_INITENETPINS_ENET_TXD0_PIN_MASK (1U << 8U)
/* @} */

/*! @name PIO0_17 (coord E14), U12[18]/P0_17-ENET_TXD1
  @{ */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_TXD1_PERIPHERAL ENET                 /*!<@brief Peripheral name */
#define BOARD_INITENETPINS_ENET_TXD1_SIGNAL ENET_TXD                 /*!<@brief Signal name */
#define BOARD_INITENETPINS_ENET_TXD1_CHANNEL 1                       /*!<@brief Signal channel */
#define BOARD_INITENETPINS_ENET_TXD1_PIN_NAME ENET_TXD1              /*!<@brief Routed pin name */
#define BOARD_INITENETPINS_ENET_TXD1_LABEL "U12[18]/P0_17-ENET_TXD1" /*!<@brief Label */
#define BOARD_INITENETPINS_ENET_TXD1_NAME "ENET_TXD1"                /*!<@brief Identifier */
#define BOARD_INITENETPINS_ENET_TXD1_PORT 0U                         /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENETPINS_ENET_TXD1_PIN 17U                         /*!<@brief PORT pin number */
#define BOARD_INITENETPINS_ENET_TXD1_PIN_MASK (1U << 17U)            /*!<@brief PORT pin mask */
                                                                     /* @} */

/*! @name PIO4_13 (coord B6), U12[16]/P4_13-ENET_TX_EN
  @{ */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_TX_EN_PERIPHERAL ENET                  /*!<@brief Peripheral name */
#define BOARD_INITENETPINS_ENET_TX_EN_SIGNAL ENET_TX_EN                /*!<@brief Signal name */
#define BOARD_INITENETPINS_ENET_TX_EN_PIN_NAME ENET_TX_EN              /*!<@brief Routed pin name */
#define BOARD_INITENETPINS_ENET_TX_EN_LABEL "U12[16]/P4_13-ENET_TX_EN" /*!<@brief Label */
#define BOARD_INITENETPINS_ENET_TX_EN_NAME "ENET_TX_EN"                /*!<@brief Identifier */
#define BOARD_INITENETPINS_ENET_TX_EN_PORT 4U                          /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENETPINS_ENET_TX_EN_PIN 13U                          /*!<@brief PORT pin number */
#define BOARD_INITENETPINS_ENET_TX_EN_PIN_MASK (1U << 13U)             /*!<@brief PORT pin mask */
                                                                       /* @} */

/*! @name PIO4_11 (coord A9), U12[8]/JP12[1]/J3[4]/JP12[3]/P4_11-USB0_ID/P4_11-ENET_RXD0
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITENETPINS_ENET_RXD0_PERIPHERAL ENET
/*!
 * @brief Signal name */
#define BOARD_INITENETPINS_ENET_RXD0_SIGNAL ENET_RXD
/*!
 * @brief Signal channel */
#define BOARD_INITENETPINS_ENET_RXD0_CHANNEL 0
/*!
 * @brief Routed pin name */
#define BOARD_INITENETPINS_ENET_RXD0_PIN_NAME ENET_RXD0
/*!
 * @brief Label */
#define BOARD_INITENETPINS_ENET_RXD0_LABEL "U12[8]/JP12[1]/J3[4]/JP12[3]/P4_11-USB0_ID/P4_11-ENET_RXD0"
/*!
 * @brief Identifier */
#define BOARD_INITENETPINS_ENET_RXD0_NAME "ENET_RXD0"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_INITENETPINS_ENET_RXD0_PORT 4U
/*!
 * @brief PORT pin number */
#define BOARD_INITENETPINS_ENET_RXD0_PIN 11U
/*!
 * @brief PORT pin mask */
#define BOARD_INITENETPINS_ENET_RXD0_PIN_MASK (1U << 11U)
/* @} */

/*! @name PIO4_12 (coord A6), U12[7]/P4_12-ENET_RXD1
  @{ */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_RXD1_PERIPHERAL ENET                /*!<@brief Peripheral name */
#define BOARD_INITENETPINS_ENET_RXD1_SIGNAL ENET_RXD                /*!<@brief Signal name */
#define BOARD_INITENETPINS_ENET_RXD1_CHANNEL 1                      /*!<@brief Signal channel */
#define BOARD_INITENETPINS_ENET_RXD1_PIN_NAME ENET_RXD1             /*!<@brief Routed pin name */
#define BOARD_INITENETPINS_ENET_RXD1_LABEL "U12[7]/P4_12-ENET_RXD1" /*!<@brief Label */
#define BOARD_INITENETPINS_ENET_RXD1_NAME "ENET_RXD1"               /*!<@brief Identifier */
#define BOARD_INITENETPINS_ENET_RXD1_PORT 4U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENETPINS_ENET_RXD1_PIN 12U                        /*!<@brief PORT pin number */
#define BOARD_INITENETPINS_ENET_RXD1_PIN_MASK (1U << 12U)           /*!<@brief PORT pin mask */
                                                                    /* @} */

/*! @name PIO4_10 (coord B9), U12[11]/P4_10-ENET_CRS_DV
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITENETPINS_ENET_CRS_DV_PERIPHERAL ENET
/*!
 * @brief Signal name */
#define BOARD_INITENETPINS_ENET_CRS_DV_SIGNAL ENET_RX_DV
/*!
 * @brief Routed pin name */
#define BOARD_INITENETPINS_ENET_CRS_DV_PIN_NAME ENET_RX_DV
/*!
 * @brief Label */
#define BOARD_INITENETPINS_ENET_CRS_DV_LABEL "U12[11]/P4_10-ENET_CRS_DV"
/*!
 * @brief Identifier */
#define BOARD_INITENETPINS_ENET_CRS_DV_NAME "ENET_CRS_DV"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_INITENETPINS_ENET_CRS_DV_PORT 4U
/*!
 * @brief PORT pin number */
#define BOARD_INITENETPINS_ENET_CRS_DV_PIN 10U
/*!
 * @brief PORT pin mask */
#define BOARD_INITENETPINS_ENET_CRS_DV_PIN_MASK (1U << 10U)
/* @} */

/*! @name PIO4_16 (coord C4), U12[12]/P4_16-ENET_MDIO
  @{ */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_MDIO_PERIPHERAL ENET                 /*!<@brief Peripheral name */
#define BOARD_INITENETPINS_ENET_MDIO_SIGNAL ENET_MDIO                /*!<@brief Signal name */
#define BOARD_INITENETPINS_ENET_MDIO_PIN_NAME ENET_MDIO              /*!<@brief Routed pin name */
#define BOARD_INITENETPINS_ENET_MDIO_LABEL "U12[12]/P4_16-ENET_MDIO" /*!<@brief Label */
#define BOARD_INITENETPINS_ENET_MDIO_NAME "ENET_MDIO"                /*!<@brief Identifier */
#define BOARD_INITENETPINS_ENET_MDIO_PORT 4U                         /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENETPINS_ENET_MDIO_PIN 16U                         /*!<@brief PORT pin number */
#define BOARD_INITENETPINS_ENET_MDIO_PIN_MASK (1U << 16U)            /*!<@brief PORT pin mask */
                                                                     /* @} */

/*! @name PIO4_15 (coord A4), U12[13]/P4_15-ENET_MDC
  @{ */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_MDC_PERIPHERAL ENET                /*!<@brief Peripheral name */
#define BOARD_INITENETPINS_ENET_MDC_SIGNAL ENET_MDC                /*!<@brief Signal name */
#define BOARD_INITENETPINS_ENET_MDC_PIN_NAME ENET_MDC              /*!<@brief Routed pin name */
#define BOARD_INITENETPINS_ENET_MDC_LABEL "U12[13]/P4_15-ENET_MDC" /*!<@brief Label */
#define BOARD_INITENETPINS_ENET_MDC_NAME "ENET_MDC"                /*!<@brief Identifier */
#define BOARD_INITENETPINS_ENET_MDC_PORT 4U                        /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENETPINS_ENET_MDC_PIN 15U                        /*!<@brief PORT pin number */
#define BOARD_INITENETPINS_ENET_MDC_PIN_MASK (1U << 15U)           /*!<@brief PORT pin mask */
                                                                   /* @} */

/*! @name PIO2_26 (coord H11), U12[15]/P2_26-ENET_PHY_RSTn
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_PERIPHERAL GPIO
/*!
 * @brief Signal name */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_SIGNAL PIO2
/*!
 * @brief Signal channel */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_CHANNEL 26
/*!
 * @brief Routed pin name */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_PIN_NAME PIO2_26
/*!
 * @brief Label */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_LABEL "U12[15]/P2_26-ENET_PHY_RSTn"
/*!
 * @brief Identifier */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_NAME "ENET_PHY_RSTn"
/*!
 * @brief Direction */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_DIRECTION kPIN_MUX_DirectionOutput

/* Symbols to be used with GPIO driver */
/*!
 * @brief GPIO peripheral base pointer */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_GPIO GPIO
/*!
 * @brief GPIO pin number */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_GPIO_PIN 26U
/*!
 * @brief GPIO pin mask */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_GPIO_PIN_MASK (1U << 26U)
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_PORT 2U
/*!
 * @brief PORT pin number */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_PIN 26U
/*!
 * @brief PORT pin mask */
#define BOARD_INITENETPINS_ENET_PHY_RSTn_PIN_MASK (1U << 26U)
/* @} */

/*! @name PIO4_14 (coord B5), JS18[2]/P4_14-ENET_RX_CLK
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITENETPINS_ENET_RX_CLK_PERIPHERAL ENET
/*!
 * @brief Signal name */
#define BOARD_INITENETPINS_ENET_RX_CLK_SIGNAL ENET_RX_CLK
/*!
 * @brief Routed pin name */
#define BOARD_INITENETPINS_ENET_RX_CLK_PIN_NAME ENET_RX_CLK
/*!
 * @brief Label */
#define BOARD_INITENETPINS_ENET_RX_CLK_LABEL "JS18[2]/P4_14-ENET_RX_CLK"
/*!
 * @brief Identifier */
#define BOARD_INITENETPINS_ENET_RX_CLK_NAME "ENET_RX_CLK"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_INITENETPINS_ENET_RX_CLK_PORT 4U
/*!
 * @brief PORT pin number */
#define BOARD_INITENETPINS_ENET_RX_CLK_PIN 14U
/*!
 * @brief PORT pin mask */
#define BOARD_INITENETPINS_ENET_RX_CLK_PIN_MASK (1U << 14U)
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitENETPins(void); /* Function assigned for the Cortex-M4F */

#define PIO12_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO12_FUNC_ALT5 0x05u        /*!<@brief Selects pin function.: Alternative connection 5. */
#define PIO13_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO13_FUNC_ALT5 0x05u        /*!<@brief Selects pin function.: Alternative connection 5. */

/*! @name PIO1_2 (coord L14), J13[18]/JS25[3]/DMIC1[4]/P1_2-PDM1_CLK
  @{ */
/* Routed pin properties */
#define BOARD_PDM1_CLK_PERIPHERAL DMIC0                               /*!<@brief Peripheral name */
#define BOARD_PDM1_CLK_SIGNAL CLK                                     /*!<@brief Signal name */
#define BOARD_PDM1_CLK_CHANNEL 1                                      /*!<@brief Signal channel */
#define BOARD_PDM1_CLK_PIN_NAME PDM1_CLK                              /*!<@brief Routed pin name */
#define BOARD_PDM1_CLK_LABEL "J13[18]/JS25[3]/DMIC1[4]/P1_2-PDM1_CLK" /*!<@brief Label */
#define BOARD_PDM1_CLK_NAME "PDM1_CLK"                                /*!<@brief Identifier */
#define BOARD_PDM1_CLK_PORT 1U                                        /*!<@brief PORT peripheral base pointer */
#define BOARD_PDM1_CLK_PIN 2U                                         /*!<@brief PORT pin number */
#define BOARD_PDM1_CLK_PIN_MASK (1U << 2U)                            /*!<@brief PORT pin mask */
                                                                      /* @} */

/*! @name PIO1_3 (coord J13), JS26[3]/DMIC1[1]/P1_3-PDM1_DATA
  @{ */
/* Routed pin properties */
#define BOARD_PDM1_DATA_PERIPHERAL DMIC0                        /*!<@brief Peripheral name */
#define BOARD_PDM1_DATA_SIGNAL DATA                             /*!<@brief Signal name */
#define BOARD_PDM1_DATA_CHANNEL 1                               /*!<@brief Signal channel */
#define BOARD_PDM1_DATA_PIN_NAME PDM1_DATA                      /*!<@brief Routed pin name */
#define BOARD_PDM1_DATA_LABEL "JS26[3]/DMIC1[1]/P1_3-PDM1_DATA" /*!<@brief Label */
#define BOARD_PDM1_DATA_NAME "PDM1_DATA"                        /*!<@brief Identifier */
#define BOARD_PDM1_DATA_PORT 1U                                 /*!<@brief PORT peripheral base pointer */
#define BOARD_PDM1_DATA_PIN 3U                                  /*!<@brief PORT pin number */
#define BOARD_PDM1_DATA_PIN_MASK (1U << 3U)                     /*!<@brief PORT pin mask */
                                                                /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDMICPins(void); /* Function assigned for the Cortex-M4F */

#define PIO218_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO218_FUNC_ALT3 0x03u        /*!<@brief Selects pin function.: Alternative connection 3. */
#define PIO219_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO219_FUNC_ALT3 0x03u        /*!<@brief Selects pin function.: Alternative connection 3. */
#define PIO220_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO220_FUNC_ALT2 0x02u        /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO311_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO311_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO323_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO323_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO324_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO324_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO41_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO41_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO42_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO42_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO43_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO43_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */

/*! @name PIO4_1 (coord G14), U10[29]/J9[14]/P4_1-FC6_I2S_TX_SCK
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_FC6_I2S_TX_SCK_PERIPHERAL FLEXCOMM6
/*!
 * @brief Signal name */
#define BOARD_FC6_I2S_TX_SCK_SIGNAL SCK
/*!
 * @brief Routed pin name */
#define BOARD_FC6_I2S_TX_SCK_PIN_NAME FC6_SCK
/*!
 * @brief Label */
#define BOARD_FC6_I2S_TX_SCK_LABEL "U10[29]/J9[14]/P4_1-FC6_I2S_TX_SCK"
/*!
 * @brief Identifier */
#define BOARD_FC6_I2S_TX_SCK_NAME "FC6_I2S_TX_SCK"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_FC6_I2S_TX_SCK_PORT 4U
/*!
 * @brief PORT pin number */
#define BOARD_FC6_I2S_TX_SCK_PIN 1U
/*!
 * @brief PORT pin mask */
#define BOARD_FC6_I2S_TX_SCK_PIN_MASK (1U << 1U)
/* @} */

/*! @name PIO4_3 (coord F13), U10[30]/J9[12]/P4_3-FC6_I2S_TX_WS
  @{ */
/* Routed pin properties */
#define BOARD_FC6_I2S_TX_WS_PERIPHERAL FLEXCOMM6                      /*!<@brief Peripheral name */
#define BOARD_FC6_I2S_TX_WS_SIGNAL TXD_SCL_MISO_WS                    /*!<@brief Signal name */
#define BOARD_FC6_I2S_TX_WS_PIN_NAME FC6_TXD_SCL_MISO_WS              /*!<@brief Routed pin name */
#define BOARD_FC6_I2S_TX_WS_LABEL "U10[30]/J9[12]/P4_3-FC6_I2S_TX_WS" /*!<@brief Label */
#define BOARD_FC6_I2S_TX_WS_NAME "FC6_I2S_TX_WS"                      /*!<@brief Identifier */
#define BOARD_FC6_I2S_TX_WS_PORT 4U                                   /*!<@brief PORT peripheral base pointer */
#define BOARD_FC6_I2S_TX_WS_PIN 3U                                    /*!<@brief PORT pin number */
#define BOARD_FC6_I2S_TX_WS_PIN_MASK (1U << 3U)                       /*!<@brief PORT pin mask */
                                                                      /* @} */

/*! @name PIO4_2 (coord F14), U10[32]/J9[10]/P4_2-FC6_I2S_TX_DATA
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_FC6_I2S_TX_DATA_PERIPHERAL FLEXCOMM6
/*!
 * @brief Signal name */
#define BOARD_FC6_I2S_TX_DATA_SIGNAL RXD_SDA_MOSI_DATA
/*!
 * @brief Routed pin name */
#define BOARD_FC6_I2S_TX_DATA_PIN_NAME FC6_RXD_SDA_MOSI_DATA
/*!
 * @brief Label */
#define BOARD_FC6_I2S_TX_DATA_LABEL "U10[32]/J9[10]/P4_2-FC6_I2S_TX_DATA"
/*!
 * @brief Identifier */
#define BOARD_FC6_I2S_TX_DATA_NAME "FC6_I2S_TX_DATA"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_FC6_I2S_TX_DATA_PORT 4U
/*!
 * @brief PORT pin number */
#define BOARD_FC6_I2S_TX_DATA_PIN 2U
/*!
 * @brief PORT pin mask */
#define BOARD_FC6_I2S_TX_DATA_PIN_MASK (1U << 2U)
/* @} */

/*! @name PIO2_19 (coord P12), U10[31]/J9[20]/P2_19-FC7_I2S_RX_DAT
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_FC7_I2S_RX_DAT_PERIPHERAL FLEXCOMM7
/*!
 * @brief Signal name */
#define BOARD_FC7_I2S_RX_DAT_SIGNAL RXD_SDA_MOSI_DATA
/*!
 * @brief Routed pin name */
#define BOARD_FC7_I2S_RX_DAT_PIN_NAME FC7_RXD_SDA_MOSI_DATA
/*!
 * @brief Label */
#define BOARD_FC7_I2S_RX_DAT_LABEL "U10[31]/J9[20]/P2_19-FC7_I2S_RX_DAT"
/*!
 * @brief Identifier */
#define BOARD_FC7_I2S_RX_DAT_NAME "FC7_I2S_RX_DAT"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_FC7_I2S_RX_DAT_PORT 2U
/*!
 * @brief PORT pin number */
#define BOARD_FC7_I2S_RX_DAT_PIN 19U
/*!
 * @brief PORT pin mask */
#define BOARD_FC7_I2S_RX_DAT_PIN_MASK (1U << 19U)
/* @} */

/*! @name PIO2_18 (coord N10), U10[29]/J9[16]/P2_18-FC7_I2S_RX_SCK
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_FC7_I2S_RX_SCK_PERIPHERAL FLEXCOMM7
/*!
 * @brief Signal name */
#define BOARD_FC7_I2S_RX_SCK_SIGNAL SCK
/*!
 * @brief Routed pin name */
#define BOARD_FC7_I2S_RX_SCK_PIN_NAME FC7_SCK
/*!
 * @brief Label */
#define BOARD_FC7_I2S_RX_SCK_LABEL "U10[29]/J9[16]/P2_18-FC7_I2S_RX_SCK"
/*!
 * @brief Identifier */
#define BOARD_FC7_I2S_RX_SCK_NAME "FC7_I2S_RX_SCK"
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_FC7_I2S_RX_SCK_PORT 2U
/*!
 * @brief PORT pin number */
#define BOARD_FC7_I2S_RX_SCK_PIN 18U
/*!
 * @brief PORT pin mask */
#define BOARD_FC7_I2S_RX_SCK_PIN_MASK (1U << 18U)
/* @} */

/*! @name PIO2_20 (coord P13), U10[30]/J9[18]/P2_20-FC7_I2S_RX_WS
  @{ */
/* Routed pin properties */
#define BOARD_FC7_I2S_RX_WS_PERIPHERAL FLEXCOMM3                       /*!<@brief Peripheral name */
#define BOARD_FC7_I2S_RX_WS_SIGNAL RTS_SCL_SSEL1                       /*!<@brief Signal name */
#define BOARD_FC7_I2S_RX_WS_PIN_NAME FC3_RTS_SCL_SSEL1                 /*!<@brief Routed pin name */
#define BOARD_FC7_I2S_RX_WS_LABEL "U10[30]/J9[18]/P2_20-FC7_I2S_RX_WS" /*!<@brief Label */
#define BOARD_FC7_I2S_RX_WS_NAME "FC7_I2S_RX_WS"                       /*!<@brief Identifier */
#define BOARD_FC7_I2S_RX_WS_PORT 2U                                    /*!<@brief PORT peripheral base pointer */
#define BOARD_FC7_I2S_RX_WS_PIN 20U                                    /*!<@brief PORT pin number */
#define BOARD_FC7_I2S_RX_WS_PIN_MASK (1U << 20U)                       /*!<@brief PORT pin mask */
                                                                       /* @} */

/*! @name PIO3_11 (coord B2), J11[8]/J12[7]/P3_11-MCLK-PMOD2_GPIO
  @{ */
/* Routed pin properties */
#define BOARD_MCLK_PERIPHERAL SYSCON                           /*!<@brief Peripheral name */
#define BOARD_MCLK_SIGNAL MCLK                                 /*!<@brief Signal name */
#define BOARD_MCLK_PIN_NAME MCLK                               /*!<@brief Routed pin name */
#define BOARD_MCLK_LABEL "J11[8]/J12[7]/P3_11-MCLK-PMOD2_GPIO" /*!<@brief Label */
#define BOARD_MCLK_NAME "MCLK"                                 /*!<@brief Identifier */
#define BOARD_MCLK_PORT 3U                                     /*!<@brief PORT peripheral base pointer */
#define BOARD_MCLK_PIN 11U                                     /*!<@brief PORT pin number */
#define BOARD_MCLK_PIN_MASK (1U << 11U)                        /*!<@brief PORT pin mask */
                                                               /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitI2SPins(void); /* Function assigned for the Cortex-M4F */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
